<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;
?>
<fieldset class="adminform">
    <legend><?php echo JText::_('COM_EXPAUTOSPRO_USERLEVEL_PARAMS_TEXT') ?></legend>
    <div class="accordion" id="accordionexp">
        <?php
        $i = 0;
        $fieldSets = $this->form->getFieldsets('params');
        foreach ($fieldSets as $name => $fieldSet) :
            $inclass = null;
            if ($i == 0) {
                $inclass = ' in';
            }
            ?>
            <div class="accordion-group">
                <div class="accordion-heading">
                    <a class="accordion-toggle btn btn-primary" data-toggle="collapse" data-parent="#accordionexp" href="#<?php echo $name; ?>">
                        <?php echo JText::_($fieldSet->label); ?>
                    </a>
                </div>
                <div id="<?php echo $name; ?>" class="accordion-body collapse<?php echo $inclass; ?>">
                    <div class="accordion-inner">
                        <dl class="dl-horizontal expmargin" style="white-space: normal;">
                            <?php foreach ($this->form->getFieldset($name) as $field) :?>
                                <dt><?php echo $field->label; ?></dt>
                                <dd><?php echo $field->input; ?></dd>
                            <?php endforeach; ?>
                        </dl>
                    </div>
                </div>
            </div>
            <?php
            $i++;
        endforeach;
        ?>
    </div>
</fieldset>