<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/explist/default_mobile_jquery/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('explist', 'default_mobile_jquery');

$expitem = $this->expitemid;
$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$document = JFactory::getDocument();
$user = JFactory::getUser();
if ($use_contactform) {
    $document->addScript(JURI::root() . 'components/com_expautospro/skins/explist/default_mobile_jquery/js/ajaxpost.js');
}
if ($this->expparams->get('c_admanager_lspage_showshortlist')) {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxrequest.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expshortlist.js');
}
if ($use_googlemaps) {
    $document->addScript('http://maps.google.com/maps/api/js?sensor=true');
    $js_g = '
        function initialize(latitude,longtitude) {
            var latlng = new google.maps.LatLng(latitude, longtitude);
            var myOptions = {
              zoom: ' . $expgooglemaps_zoom . ',
              center: latlng,
              mapTypeId: google.maps.MapTypeId.ROADMAP
            };
            var map = new google.maps.Map(document.getElementById("expmap_canvas"),
                myOptions);
                var marker = new google.maps.Marker({
                      position: latlng, 
                      map: map
                  }); 
          }
          
    jQuery(document).ready(function(){
         jQuery(".expgoogle").live("click", function(){
             var latitude = jQuery(this).attr("data-lat");
             var longtitude = jQuery(this).attr("data-long");
             var exptitle = jQuery(this).attr("title");
             var latlong = latitude + "," + longtitude;
            jQuery.fn.prettyPhoto({custom_markup: "<div id=\"expmap_canvas\" style=\"width:' . $expgooglemaps_width . 'px; height:' . $expgooglemaps_height . 'px\"></div>",
                changepicturecallback: function(){ 
                    initialize(latitude,longtitude); 
                }});
             var url = jQuery(this).attr("href");
            jQuery.prettyPhoto.open(url,exptitle,latlong);
         return false;
         });
         return false;
    });
          ';
    $document->addScriptDeclaration($js_g);
}
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro_icons.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/explist/default_mobile_jquery/css/default_mobile_jquery.css');

if ($expuse_jquery == 1){
    JHtml::_('bootstrap.framework');
}elseif($expuse_jquery == 2){
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
}
if ($expuse_mobmetatag) {
    $document->setMetaData('viewport', 'width=device-width, initial-scale=1');
}
JRequest::setVar('expusebootstrap', 0);
$catidlink = '';
$makeidlink = '';
if ($this->items) {
    $catidlink = $this->items[0]->categid;
    $makeidlink = $this->items[0]->make;
}
//$countcolumn = $this->expparams->get('c_admanager_mdpage_column');
$topmoduleposition = $this->expparams->get('c_admanager_lspage_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_lspage_bmpname');
$thumbsize = $this->expparams->get('c_images_thumbsize_width');
$userid = JRequest::getInt('userid', 0);
//print_r($this->items);
if ($user->id) {
    $usergroups = implode(',', $user->groups);
    $usergroupid = ExpAutosProExpparams::getExpgroupid($usergroups);
    $groupparams = ExpAutosProExpparams::getExpParams('userlevel', $usergroupid);
//print_r($groupparams->get('p_pshowpricespecial'));
}
$listgroupparams = $this->expgroupfield;
if ($this->expcatfields) {
    $useid = $this->expparams->get('c_admanager_lspage_showid');
    $usecategory = $this->expparams->get('c_admanager_lspage_showcat');
    if ($this->expcatfields->get('usestocknum') && $this->expparams->get('c_admanager_lspage_showstock')) {
        $usestock = 1;
    } else {
        $usestock = 0;
    }
    $usemake = $this->expcatfields->get('usemakes');
    $usemodel = $this->expcatfields->get('usemodels');
    $usemileage = $this->expcatfields->get('usemileage');
    $usebodytype = $this->expcatfields->get('usebodytype');
    $usedrive = $this->expcatfields->get('usedrive');
    $useextcolor = $this->expcatfields->get('useextcolor');
    $usetrans = $this->expcatfields->get('usetrans');
    $usefuel = $this->expcatfields->get('usefuel');
    $useyear = $this->expcatfields->get('useyear');
    $useprice = $this->expcatfields->get('useprice');
} else {
    $useid = $this->expparams->get('c_admanager_lspage_showid');
    $usemake = $this->expparams->get('c_admanager_lspage_def_make');
    $usemodel = $this->expparams->get('c_admanager_lspage_def_model');
    $usecategory = $this->expparams->get('c_admanager_lspage_showcat');
    $usestock = $this->expparams->get('c_admanager_lspage_def_stocknum');
    $usemileage = $this->expparams->get('c_admanager_lspage_def_mileage');
    $usebodytype = $this->expparams->get('c_admanager_lspage_def_bodytype');
    $usedrive = $this->expparams->get('c_admanager_lspage_def_drive');
    $useextcolor = $this->expparams->get('c_admanager_lspage_def_extcolor');
    $usetrans = $this->expparams->get('c_admanager_lspage_def_trans');
    $usefuel = $this->expparams->get('c_admanager_lspage_def_fuel');
    $useyear = $this->expparams->get('c_admanager_lspage_def_year');
    $useprice = $this->expparams->get('c_admanager_lspage_def_price');
}
$cookiesarray = explode(",", $this->expgetcookie);
$logopatch = ExpAutosProExpparams::ImgUrlPatchLogo();
if ($userid && $this->items)
    $user_params = ExpAutosProExpparams::getExpParams('expuser', $this->items[0]->expuser_id);
$usedelaerinfo = $this->expparams->get('c_admanager_lspage_dealeringo', 1);
if ($userid) {
    $usedelaerinfo = true;
}
if ($user->id && $document->countModules('explistexport') && $listgroupparams->get('g_expexport', 0)) {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expsubmit.js');
}
//$test = ExpAutosProExpparams::expModuleParams('mod_expautospro_search');
//echo $test->get('usemakes');
$linkhome = "index.php/motorcar-com-mm/list";
//Johnny $linkhome = JRoute::_("index.php?option=com_expautospro&amp;view=categories&amp;id=0&amp;Itemid=" . (int) $expitem);
$linkadd = JRoute::_("index.php?option=com_expautospro&amp;view=expadd&amp;Itemid=" . (int) $expitem);
$linkdealerinfo = JRoute::_("index.php?option=com_expautospro&amp;view=expuser&amp;Itemid=" . (int) $expitem);
/* * ****** Mobile ***** */
//$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/jquery.mobile-1.2.0.min.css');
//$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/js/jquery.mobile-1.2.0.min.js');
if (!$user->guest) {
    $login_text = JText::_('JLOGOUT');
    $logtheme = ' data-theme="e"';
    $logicon = 'delete';
} else {
    $login_text = JText::_('JLOGIN');
    $logtheme = null;
    $logicon = 'check';
}
$app = JFactory::getApplication();
$queue = $app->getMessageQueue();
?>
<script src="<?php echo JURI::root() . 'components/com_expautospro/assets/js/jquery.mobile-1.2.0.min.js'; ?>">
</script>
<link rel="stylesheet" href="<?php echo JURI::root() . 'components/com_expautospro/assets/css/jquery.mobile-1.2.0.min.css'; ?>" />
<?php
if ($user->id) :
    $link_edit = JRoute::_('index.php?option=com_expautospro&amp;view=expadd&amp;task=expadd.edit&amp;id=');
    $link_editimg = JRoute::_('index.php?option=com_expautospro&amp;view=expimages&amp;id=');
    $link_extend = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;task=explist.extend&amp;id=');
    $link_delete = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;task=explist.deletelink&amp;id=');
    $link_solid = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;task=explist.solid&amp;value=');
    $link_expreserved = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;task=explist.expreserved&amp;value=');
    $link_payspecial = JRoute::_('index.php?option=com_expautospro&amp;view=exppayment&amp;id=');
    $link_payadd = JRoute::_('index.php?option=com_expautospro&amp;view=exppayment&amp;id=');
    ?>
    <script>
        function exp_popup(text,id,sold,reserved,date_exp_mob,pspec,pad){
            closebtn = '<a href="javascript:void(0);" data-rel="back" data-role="button" data-theme="a" data-icon="delete" data-iconpos="notext" data-shadow="false" data-iconshadow="false" class="ui-btn-right"><?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?></a>',
            listview = '<ul data-role="listview" data-inset="true" data-theme="b">',
            li_text = '<li data-role="divider" data-theme="a">'+text+'</li>',
            li_edit = '<li data-transition="slide"><a href="<?php echo $link_edit; ?>'+id+'" rel="external"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_EDIT_AD_TEXT'); ?></a></li>',
            li_image = '<li data-transition="slide"><a href="<?php echo $link_editimg; ?>'+id+'" rel="external"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_EDIT_IMAGES_TEXT'); ?></a></li>',
            li_delete = '',
            li_sold = '',
            li_reserved = '',
            li_extend = '',
            li_pspec = '',
            li_pad = '';
    <?php if ($this->expparams->get('c_general_enabledelete')): ?>
                li_delete += '<li data-transition="slide"><a href="<?php echo $link_delete; ?>'+id+'" rel="external"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_DELETE_TEXT'); ?></a></li>';
    <?php endif; ?>
    <?php if ($this->expparams->get('c_general_enablesolid')): ?>
                li_sold += '<li data-transition="slide"><a href="<?php echo $link_solid; ?>'+sold+'&amp;id='+id+'" rel="external">';
                if(sold > 0){
                    li_sold += '<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_UNSOLID_TEXT'); ?>';
                }else{
                    li_sold += '<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_SOLID_TEXT'); ?>';
                }
                li_sold += '</li>';
    <?php endif; ?>
    <?php if ($this->expparams->get('c_general_enableexpreserved')): ?>
                li_reserved += '<li data-transition="slide"><a href="<?php echo $link_expreserved; ?>'+reserved+'&amp;id='+id+'" rel="external">';
                if(reserved > 0){
                    li_reserved += '<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_UNRESERVED_TEXT'); ?>';
                }else{
                    li_reserved += '<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_RESERVED_TEXT'); ?>';
                }
                li_reserved += '</li>';
    <?php endif; ?>
            if(date_exp_mob > 0){
                li_extend += '<li data-transition="slide"><a href="<?php echo $link_extend; ?>'+id+'" rel="external"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_EXTEND_TEXT'); ?></a></li>';
            }
            if(pspec > 0){
                li_pspec += '<li data-transition="slide"><a href="<?php echo $link_payspecial; ?>'+id+'" rel="external"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_PAYSPECIAL_TEXT'); ?></a></li>';
            }
            if(pad > 0){
                li_pad += '<li data-transition="slide"><a href="<?php echo $link_payadd; ?>" rel="external"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_PAYAD_TEXT'); ?></a></li>';
            }
            
            li_closebtn = '<li data-transition="slide" data-theme="e" data-icon="delete"><a href="javascript:void(0);" data-rel="back"><?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?></a></li>';
            popup = '<div data-role="popup" id="expeditpopup-' + id + '" data-short="' + text +'" data-theme="a" data-tolerance="15">' + closebtn + listview + li_text + li_edit + li_image + li_delete + li_sold + li_reserved + li_extend + li_pspec + li_pad + li_closebtn +'</div>';
            jQuery.mobile.activePage.append(popup).trigger("pagecreate");
            jQuery( "#expeditpopup-" + id ).load(function() {
                jQuery( "#expeditpopup-" + id ).popup( "open" );
                clearTimeout( fallback );
            });
            var fallback = setTimeout(function() {
                jQuery( "#expeditpopup-" + id ).popup( "open" );
            }, 100);
        }
    </script>
<?php endif; ?>
<div data-role="page" id="explist">
    <div data-theme="a" data-role="header">
        <a href="<?php echo $linkhome; ?>" data-direction="reverse" data-iconpos="notext" data-icon="home" data-transition="slide"></a>
        <h4>
            <?php echo "<img src='http://motorcar.com.mm/images/logo.jpg'>" //echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TEXT'); ?>
        </h4>
        <a href="javascript:history.back();" data-direction="reverse" data-iconpos="notext" data-icon="back" data-transition="slide"></a>
    </div>
    <div data-role="content">
        <?php if ($document->countModules('expmobilemenu')): ?>
            <div id="expmobmenu">
                <div data-role="controlgroup" data-type="horizontal" data-mini="true" class="ui-btn-right">
                    <?php echo ExpAutosProHelper::load_module_position('expmobilemenu', 'mobilebootstrap'); ?>
                </div>
            </div>
            <div class="expmobclear"></div>
        <?php endif; ?>
        <?php if (count($queue)): ?>
            <div class="ui-body ui-body-b expmobmessage">
                <?php foreach ($queue as $item) : ?>
                    <p><?php echo $item['message']; ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
        <?php if ($userid && ($this->expparams->get('c_general_showcontact') || (!$this->expparams->get('c_general_showcontact') && $user->id))): ?>
            <div style="margin:15px 0 27px 0" data-role="collapsible" data-theme="b" data-content-theme="d" data-mini="true" data-collapsed="true">
                <h6><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_DEALERINFO_TEXT'); ?></h6>
                <?php if ($listgroupparams->get('c_photo') && $this->items && $user_params->get('expphoto')): ?>
                    <div class="expuser_img thumbnail">
                        <img src='<?php echo $logopatch . $user_params->get('expphoto'); ?>' title="<?php echo $this->items[0]->user_username; ?>" />
                    </div>
                    <br />
                <?php endif; ?>
                <div class="exp_autos_list_userinfo">
                    <div class="">
                        <?php
                        if ($listgroupparams->get('c_ulogo') && $this->items && $this->items[0]->expuser_logo):
                            $logo_link = $logopatch . $this->items[0]->expuser_logo;
                            ?>
                            <?php if ($listgroupparams->get('c_uwebsite') && $this->items[0]->expuser_web): ?>
                                <a href="http://<?php echo $this->items[0]->expuser_web; ?>">
                                <?php endif; ?>
                                <img src="<?php echo $logo_link; ?>" class="expautos_list_rightimg thumbnail" title="<?php echo $this->items[0]->user_username; ?>" alt="<?php echo $this->items[0]->user_username; ?>" />
                                <?php if ($listgroupparams->get('c_uwebsite') && $this->items[0]->expuser_web): ?>
                                </a>
                            <?php endif; ?>

                        <?php endif; ?>
                    </div>
                    <br />
                    <ul data-role="listview" class="expmob_list">
                        <?php if ($listgroupparams->get('c_lastname') && (!empty($this->items[0]->expuser_lastname) || !empty($this->items[0]->user_name))): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_NAME_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->user_name; ?>&nbsp;<?php echo $this->items[0]->expuser_lastname; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_username') && !empty($this->items[0]->user_username)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_USERNAME_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->user_username; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_uphone') && !empty($this->items[0]->expuser_phone)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_PHONE_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->expuser_phone; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_ucphone') && !empty($this->items[0]->expuser_mobphone)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_CELLPHONE_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->expuser_mobphone; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_ufax') && !empty($this->items[0]->expuser_fax)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_FAX_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->expuser_fax; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_email') && !empty($this->items[0]->user_email)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_EMAIL_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->user_email; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_ucompany') && !empty($this->items[0]->expuser_companyname)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_COMPANYNAME_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->expuser_companyname; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_ucountry') && !empty($this->items[0]->expuser_country)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_COUNTRY_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->expuser_country; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_ustate') && !empty($this->items[0]->expuser_state)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_STATE_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->expuser_state; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_ucity') && !empty($this->items[0]->expuser_city)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_CITY_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->expuser_city; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_ustreet') && !empty($this->items[0]->expuser_street)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_STREET_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->expuser_street; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_uzip') && isset($this->items[0]->expuser_zipcode)): ?>
                            <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_ZIPCODE_TEXT') ?>&#58;&nbsp;</span>
                                <?php echo $this->items[0]->expuser_zipcode; ?></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_uwebsite') && !empty($this->items[0]->expuser_web)): ?>
                            <li><a href="http://<?php echo $this->items[0]->expuser_web; ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_USERWEB_TEXT') ?>&#58;&nbsp;
                                    <?php echo $this->items[0]->expuser_web; ?></a></li>
                        <?php endif; ?>
                        <?php if ($listgroupparams->get('c_uinfo') && !empty($this->items[0]->expuser_userinfo)): ?>
                            <li><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_USERINFO_TEXT') ?>&#58;&nbsp;
                                <?php echo $this->items[0]->expuser_userinfo; ?></li>
                        <?php endif; ?>
                        <?php if ($useid == $this->expparams->get('c_admanager_lspage_showdealerlink') && !empty($this->items[0]->user_username)): ?>
                            <li><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_DEALERLINK_TEXT') ?>&#58;&nbsp;
                                <a href="<?php echo JRoute::_('index.php?option=com_expautospro&amp;view=expdealerdetail&amp;userid=' . (int) $userid . '&amp;Itemid=' . (int) $expitem); ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_DEALERLINK_TEXT'); ?></a></li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
            <div class="expautos_clear"></div>
        <?php endif; ?>
        <div id="expautospro">
            <form action="<?php echo htmlspecialchars(JFactory::getURI()->toString()); ?>#expautospro" method="post" name="adminForm" id="adminForm">
                <a href="#expsortpopupMenu" data-rel="popup" data-mini="true" data-role="button" data-inline="true" data-icon="arrow-d"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SORTING_MENU_TEXT') ?></a>
                <div data-role="popup" id="expsortpopupMenu" data-theme="a">
                    <a href="javascript:void(0);" data-rel="back" data-role="button" data-theme="a" data-icon="delete" data-iconpos="notext" class="ui-btn-right"><?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?></a>
                    <ul data-role="listview" data-inset="true" data-theme="b">
                        <li data-role="divider" data-theme="a"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SORTBY_TEXT') ?></li>
                        <?php if ($useid): ?>
                            <li class="expautos_th_center">
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_ID_TEXT', 'a.id', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if (!$useid && $use_sortby_date): ?>
                            <li class="expautos_th_center">
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_SKIN_SORTBYDATE_TEXT', 'a.id', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($usecategory): ?>
                            <li class="expautos_th_center">
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_CATEGORY_TEXT', 'catid', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($usestock): ?>
                            <li class="expautos_th_center">
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_STOCKNUM_TEXT', 'a.stocknum', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($usemake): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_MAKE_TEXT', 'make_name', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($usemodel): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_MODEL_TEXT', 'model_name', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($usemileage): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_MILEAGE_TEXT', 'mileage', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($usebodytype): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_BODYTYPE_TEXT', 'bodytype_name', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($usedrive): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_DRIVE_TEXT', 'drive_name', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($useextcolor): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_COLOR_TEXT', 'extcolor_name', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($useyear): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_YEAR_TEXT', 'a.year', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($usetrans): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_TRANS_TEXT', 'trans_name', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($usefuel): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_FUEL_TEXT', 'fuel_name', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($useprice): ?>
                            <li>
                                <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_PRICE_TEXT', 'price', $listDirn, $listOrder); ?>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
                <br />
                <br />
                <div class="content-primary">
                    <ul data-role="listview" data-split-icon="gear" data-split-theme="d">
                        <?php
                        if ($this->items):
                            $m_link = null;
                            $mob_return = ExpAutosProExpparams::expmobile_detect();
                            if ($this->expparams->get('c_admanager_detailpage_usemobile', 0) && $mob_return) {
                                $m_link = $detail_add_link;
                            }
                            foreach ($this->items as $i => $item) :
                                //$countimg = ExpAutosProHelper::getExpcount('images', 'catid', $item->id, 1);
                                $expedit = false;
                                if ((int) $user->id) {
                                    $groupparams2 = ExpAutosProExpparams::expGroupsEdit((int) $item->userwid);
                                    if ($groupparams2) {
                                        $expedit = true;
                                    }
                                }
                                $countimg = $item->imgcount;
                                $link = JRoute::_('index.php?option=com_expautospro&amp;view=expdetail&amp;id=' . (int) $item->id . '&amp;catid=' . (int) $item->catid . '&amp;makeid=' . (int) $item->make . '&amp;modelid=' . (int) $item->model . $m_link . '&amp;Itemid=' . (int) $expitem);
                                $link_dealer_ads = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;userid=' . (int) $item->userwid . '&amp;Itemid=' . (int) $expitem);

                                $expdata_lat = '';
                                $expdata_long = '';
                                $expdata_text = '';
                                $in_shortlist = in_array($item->id, $cookiesarray);
                                //print_r($item);
                                /* Extend date */
                                if ($this->expparams->get('c_general_useextend')) {
                                    $date_exp = false;
                                    $date_plus = JFactory::getDate('+' . $this->expparams->get('c_general_extendbutton') . ' day ' . date('Y-m-d', strtotime('now')))->toMySQL();
                                    if ($item->expirdate <= $date_plus) {
                                        $date_exp = true;
                                        $date_expnum = date("Y-m-d", strtotime($item->expirdate));
                                    }
                                }
                                $date_exp_mob = 0;
                                if ($this->expparams->get('c_general_useextend') && $date_exp) {
                                    $date_exp_mob = 1;
                                }
                                $pspec = 0;
                                if ($user->id && (int) $item->state == 1 && $groupparams->get('p_pshowpricespecial')) {
                                    $pspec = 1;
                                }
                                $pad = 0;
                                if ((int) $item->state != 1) {
                                    $pad = 1;
                                }

                                /* New ads */
                                $date_range = time() - ($this->expparams->get('c_admanager_lspage_newdate') * 24 * 60 * 60);
                                $zc_new_date = date('Ymd', $date_range);
                                if (date('Ymd', strtotime($item->creatdate)) >= $zc_new_date)
                                    $newdateclass = "newdate";
                                else
                                    $newdateclass = null;


                                $imgclass = null;
                                $lsclass = null;
                                if ($item->solid) {
                                    $imgclass = "solid";
                                    $lsclass = "alert alert-block lssolid";
                                } elseif ($item->ftop) {
                                    $imgclass = "top";
                                    $lsclass = "alert alert-success lstop";
                                } elseif ($item->special) {
                                    $imgclass = "special";
                                    $lsclass = "alert alert-error lsspecial";
                                } elseif ($item->fcommercial) {
                                    $imgclass = "commercial";
                                    $lsclass = "alert alert-info lscommercial";
                                }

                                $imgdealerclass = null;
                                if ($usedelaerinfo && $use_dealer_img) {
                                    if ($item->expuser_ucommercial) {
                                        $imgdealerclass = "ucommercial";
                                    } elseif ($item->expuser_utop) {
                                        $imgdealerclass = "utop";
                                    } elseif ($item->expuser_uspecial) {
                                        $imgdealerclass = "uspecial";
                                    }
                                }

                                if (!$use_special_style) {
                                    $lsclass = null;
                                }

                                if ($item->img_name && $countimg) {
                                    $img_file = '<span></span><img class="ui-li-content" src="' . ExpAutosProExpparams::ImgUrlPatchThumbs() . $item->img_name . '" alt="' . $item->category_name . '&#45;' . $item->make_name . '&#45;' . $item->model_name . '" />';
                                } else {
                                    $img_file = '<span></span><img class="ui-li-content" src="' . ExpAutosProExpparams::ImgUrlPatch() . 'assets/images/no_photo.jpg" alt="' . $item->category_name . '&#45;' . $item->make_name . '&#45;' . $item->model_name . '" />';
                                }
                                ?>
                                <?php
                                $top_text = '';
                                if ($item->make_name):
                                    ?>
                                    <?php $top_text .= $item->make_name; ?>
                                <?php endif; ?>
                                <?php if ($item->model_name): ?>
                                    <?php $top_text .= "&nbsp;" . $item->model_name; ?>
                                <?php endif; ?>
                                <?php if ($item->specificmodel): ?>
                                    <?php $top_text .= "&nbsp;" . $item->specificmodel; ?>
                                <?php endif; ?>
                                <?php if ($item->displacement > 0): ?>
                                    <?php $top_text .= "&nbsp;" . $item->displacement . " " . JText::_('COM_EXPAUTOSPRO_LITER_S_TEXT'); ?>
                                <?php endif; ?>
                                <?php if ($item->engine): ?>
                                    <?php $top_text .= "&nbsp;" . $item->engine . " " . JText::_('COM_EXPAUTOSPRO_KW_TEXT'); ?>
                                <?php endif; ?>

                                <li>
                                    <a href="<?php echo $link; ?>" rel="external">
                                        <div class="expimg_all" style="width:<?php echo $thumbsize; ?>px;">
                                            <div class="expimg_pos">
                                                <div class="photo <?php echo $imgclass; ?>">
                                                    <?php echo $img_file; ?>
                                                </div>
                                                <div class="expimg">
                                                    <span><i class="icon-picture"></i> <?php echo $countimg; ?></span>
                                                    <?php if ($item->embedcode): ?>
                                                        <span><i class="icon-film"></i></span>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                            <?php if ($use_images_icon): ?>
                                                <div class="expimgcount">
                                                    <?php if ($newdateclass): ?>
                                                        <span class="<?php echo $newdateclass; ?>" title="<?php echo JText::_('COM_EXPAUTOSPRO_LS_SPECIAL_NEWDATE_TEXT') ?>"></span>
                                                    <?php endif; ?>
                                                    <?php if ($item->expreserved): ?>
                                                        <span class="expreserved" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_RESERVED_TEXT') ?>"></span>
                                                    <?php endif; ?>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                        <h6>
                                            <?php echo $top_text; ?>
                                        </h6>
                                        <p>
                                            
                                            <?php if ($usecategory): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_CATEGORY_TEXT'); ?>"><?php echo (int) $item->category_name; ?></span>&#32;&#58;&#58;
                                            <?php endif; ?>
                                            <?php if ($usestock): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_STOCKNUM_TEXT'); ?>"><?php echo (int) $item->stocknum; ?></span>&#44;&#32;
                                            <?php endif; ?>
                                            <?php if ($useyear): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_YEAR_TEXT'); ?>"><?php echo (int) $item->year; ?></span>
                                            <?php endif; ?>
                                            <?php if ($usetrans): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_TRANSMISSION_TEXT'); ?>"><?php echo (string) $item->trans_name; ?></span>&#44;&#32;
                                            <?php endif; ?>
                                            <?php if ($usefuel): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_FUEL_TEXT'); ?>"><?php echo (string) $item->fuel_name; ?></span>&#44;&#32;
                                            <?php endif; ?>
                                            <?php if ($useextcolor): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_EXTCOLOR_TEXT'); ?>"><?php echo $item->extcolor_name; ?></span>&#44;&#32;
                                            <?php endif; ?>
                                            <?php if ($usemileage && $item->mileage): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_MILEAGE_TEXT'); ?>"><?php echo $item->mileage . "&nbsp;" . JText::_('COM_EXPAUTOSPRO_KM_TEXT'); ?></span>&#44;&#32;
                                            <?php endif; ?>
                                            <?php if ($usebodytype && $item->bodytype_name): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_BODYTYPE_TEXT'); ?>"><?php echo $item->bodytype_name; ?></span>&#44;&#32;
                                            <?php endif; ?>
                                            <?php if ($usedrive && $item->drive_name): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_DRIVE_TEXT'); ?>"><?php echo $item->drive_name; ?></span>&#44;&#32;
                                            <?php endif; ?>
                                            <?php if ($useid): ?>
                                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_ID_TEXT'); ?>">Lot No.<?php echo (int) $item->id; ?></span>
                                            <?php endif; ?>
                                            <p style="margin-top:-10px">
                                        <?php echo "Date:" ?>
                                            <?php echo $item->creatdate; ?> <?php echo "," ?>
                                         	<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_ID_TEXT'); ?><?php echo (int) $item->id; ?></p>
                                        </p>
                                        
                                        <p class="expprice_label">
                                        
                                            <span class="label label-inverse">
                                                <?php if ($useprice): ?>
                                                <?php if($item->condition == 1)
										{echo JText::_('COM_EXPAUTOSPRO_LS_PRICE1_TEXT');}  ?>
                                <?php if($item->condition == 3) 
                                        {echo JText::_('COM_EXPAUTOSPRO_LS_PRICE3_TEXT');} ?>
								<?php if($item->condition == 4)
										{echo JText::_('COM_EXPAUTOSPRO_LS_PRICE4_TEXT');} ?>
								<?php if($item->condition == 5){
										echo JText::_('COM_EXPAUTOSPRO_LS_PRICE5_TEXT');} ?>
								<?php if($item->condition == 6){
										echo JText::_('COM_EXPAUTOSPRO_LS_PRICE6_TEXT');} ?>
                                         <?php
                                        if($item->bprice &&  $user->id){
                                            $n_price = $item->bprice;
                                        }else{
                                            $n_price = $item->aprice;
                                        }
                                        $price = ExpAutosProExpparams::price_formatdata($n_price);
                                        echo $price;
                                        ?>
                                                    <?php /* Johnny
                                                    $price = ExpAutosProExpparams::price_formatdata($item->price, 2);
                                                    echo $price;
                                                    */ ?>
                                                <?php endif; ?>
                                            </span>
                                        </p>
                                        <?php if (((int) $item->user == (int) $user->id) || $expedit): ?>
                                            <p class="expstatus_label">

                                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_MAIL_BODY_STATUS_TEXT'); ?>
                                                <?php if ((int) $item->state == 1): ?>
                                                    <span class="label label-success"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_MAIL_BODY_STATUS_PUBLISHED_TEXT'); ?></span>
                                                <?php else: ?>
                                                    <span class="label label-warning"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_MAIL_BODY_STATUS_UNPUBLISHED_TEXT'); ?></span>
                                                <?php endif; ?>

                                            </p>
                                        <?php endif; ?>
                                    </a>
                                    <?php if (((int) $item->user == (int) $user->id) || $expedit): ?>
                                        <a href="#exppopupMenu<?php echo $item->id ?>" onClick="javascript:exp_popup('<?php echo $top_text; ?>',<?php echo $item->id ?>,<?php echo $item->solid ?>,<?php echo $item->expreserved ?>,<?php echo $date_exp_mob; ?>,<?php echo $pspec; ?>,<?php echo $pad; ?>);"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_EDIT_AD_TEXT'); ?></a>
                                    <?php endif; ?>
                                </li>
                                <?php
                                $metaexp[] = trim($item->make_name . " " . $item->model_name . " " . $item->specificmodel);
                                $metakeyexp[] = trim($item->make_name . " " . $item->model_name . " " . $item->specificmodel);
                                ?>
                            <?php endforeach; ?>
                        <?php endif; ?>
                    </ul>
                </div>
                <div class="expautospro_clear"></div>
                <br />
                <div id="explimitbox">
                    <?php echo $this->pagination->getLimitBox(); ?>
                </div>
                <div class="expautospro_clear"></div>
                <div id="expresultcounter">
                    <?php echo $this->pagination->getResultsCounter(); ?>
                </div>
                <div class="expautospro_clear"></div>
                <div class="pagination pagination-centered">
                    <?php echo $this->pagination->getPagesLinks(); ?>
                </div>
                <div class="expautospro_clear"></div>
                <div id="exppagescounter">
                    <?php echo $this->pagination->getPagesCounter(); ?>
                </div>
                <div class="expautospro_clear"></div>
        </div>
        <div>
            <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
            <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
            <?php if ($user->id && $document->countModules('explistexport') && $listgroupparams->get('g_expexport', 0)): ?>
                <input type="hidden" name="expval" value="" />
                <input type="hidden" name="exptask" value="" />
            <?php endif; ?>
        </div>
        </form>
        <?php
        /* insert meta */
        if (isset($metaexp)) {
            $metaexp = implode(".", $metaexp);
            $this->document->setDescription($metaexp);
        }
        if (isset($metakeyexp)) {
            $metakeyexp = implode(",", $metakeyexp);
            $this->document->setMetadata('keywords', $metakeyexp);
        }
        ?>
    </div>
    <div data-theme="a" data-role="footer" data-position="fixed">
        <?php if ($document->countModules('expmobilesearch') || $document->countModules('expmobilelogin')): ?>
            <div data-role="navbar" data-iconpos="bottom">
                <ul>
                    <?php if ($document->countModules('expmobilesearch')): ?>
                        <li><a href="#expsearchpopup" data-icon="search" data-role="button" data-rel="dialog" data-transition="pop"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_MENU_TEXT'); ?></a></li>
                    <?php endif; ?>
                    <?php if ($document->countModules('expmobilelogin')): ?>
                        <li><a href="#exploginpopup" data-icon="<?php echo $logicon; ?>" data-role="button" data-rel="dialog" data-transition="pop"<?php echo $logtheme; ?>><?php echo $login_text; ?></a></li>
                    <?php endif; ?>
                </ul>
            </div>
        <?php else: ?>
        <?php endif; ?>
    </div>
</div>
<?php if ($document->countModules('expmobilesearch')): ?>
    <!-- Start of third page: #expsearchpopup -->
    <div data-role="page" id="expsearchpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_DIALOG_MENU_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilesearch', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($document->countModules('expmobilelogin')): ?>
    <!-- Start of third page: #exploginpopup -->
    <div data-role="page" id="exploginpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo $login_text; ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilelogin', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>	
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
    <?php
endif;
?>