<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/expuser/default_mobile_jquery/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('expuser', 'default_mobile_jquery');

$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$user = JFactory::getUser();
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro_icons.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expuser/default_mobile_jquery/css/default_mobile_jquery.css');
$document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxrequest.js');
$document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxchained.js');
//$filename_form = 'jquery.validationEngine.js';
//$path = JURI::root() . 'components/com_expautospro/skins/expuser/default_jquery/js/';
//JHTML::script($filename_form, $path, true);
if ($expuse_jquery == 1){
    JHtml::_('bootstrap.framework');
}elseif($expuse_jquery == 2){
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
}
if($expuse_mobmetatag){
    $document->setMetaData( 'viewport', 'width=device-width, initial-scale=1' );
}
JRequest::setVar('expusebootstrap', 0);
$document->addScript(JURI::root() . 'components/com_expautospro/skins/expuser/default_mobile_jquery/js/jquery.validate.min.js');
$document->addScript(JURI::root() . 'components/com_expautospro/skins/expuser/default_mobile_jquery/js/jquery.metadata.js');
$document->addScript(JURI::root() . 'components/com_expautospro/skins/expuser/default_mobile_jquery/js/jquery.mobile.validate.js');
//$add_script = '';
//$document->addScriptDeclaration($add_script);

if ($user->id && $this->expgroupid) {
    if ($this->expparams->get('c_admanager_useradd_showgooglemaps')) {
        if ($this->form->getValue('latitude') && $this->form->getValue('longitude')) {
            $lat = $this->form->getValue('latitude');
            $long = $this->form->getValue('longitude');
            $zoom = $this->expparams->get('c_admanager_useradd_googlemaps_zoomstreet');
        } else {
            $lat = $this->expparams->get('c_admanager_useradd_googlemaps_latdef');
            $long = $this->expparams->get('c_admanager_useradd_googlemaps_longdef');
            $zoom = $this->expparams->get('c_admanager_useradd_googlemaps_zoomdef');
        }
        $expzoombycst = $this->expparams->get('c_admanager_useradd_googlemaps_zoomcst');
        $expzoombystreet = $this->expparams->get('c_admanager_useradd_googlemaps_zoomstreet');
        $expgooglewidth = $this->expparams->get('c_admanager_useradd_googlemaps_width');
        $expgoogleheight = $this->expparams->get('c_admanager_useradd_googlemaps_height');

        $document->addScript('http://maps.google.com/maps/api/js?sensor=false');
        $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expgooglemap.js');
        $script = '';
        $script .= "
            var explat=$lat;
            var explong =$long;
            var expzoom =$zoom;
            var expzoombycst =$expzoombycst;
            var expzoombystreet =$expzoombystreet;
            var expclick = 1;
            var expmapTypeId = google.maps.MapTypeId." . $this->expparams->get('c_general_gmapmaptypeid') . ";
            var latid = 'jform_latitude';
            var longid = 'jform_longitude';
            var expalert = '" . JText::_('COM_EXPAUTOSPRO_GOOGLEMAP_ALERT_TEXT') . "';
            var exp_map_canvas = 'exp_map_canvas';
                    ";

        $document->addScriptDeclaration($script);
    }
}
$topmoduleposition = $this->expparams->get('c_admanager_useradd_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_useradd_bmpname');
$return = JRequest::getVar('return', null, '', 'base64');
//print_r($this->expgroupid);
$expitemid = ExpAutosProExpparams::getExpLinkItemid();
$linkhome = "index.php/motorcar-com-mm/list";
$linkdealerinfo = JRoute::_("index.php?option=com_expautospro&amp;view=expuser&amp;Itemid=" . (int) $expitemid);
$linkadd = JRoute::_("index.php?option=com_expautospro&amp;view=expadd&amp;Itemid=" . (int) $expitemid);
if (!$user->guest) {
    $login_text = JText::_('JLOGOUT');
    $logtheme = ' data-theme="e"';
    $logicon = 'delete';
} else {
    $login_text = JText::_('JLOGIN');
    $logtheme = null;
    $logicon = 'check';
}
$app = JFactory::getApplication();
$queue = $app->getMessageQueue();
?>
<script src="<?php echo JURI::root() . 'components/com_expautospro/assets/js/jquery.mobile-1.2.0.min.js'; ?>">
</script>
<script>
    //jQuery.mobile.page.prototype.options.keepNative = "select";
</script>
<link rel="stylesheet" href="<?php echo JURI::root() . 'components/com_expautospro/assets/css/jquery.mobile-1.2.0.min.css'; ?>" />
<div data-role="page" id="expadduser">
    <div data-theme="a" data-role="header">
        <a href="<?php echo $linkhome; ?>" data-direction="reverse" data-iconpos="notext" data-icon="home" data-transition="slide" rel="external"></a>
        <h4>
            <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_TEXT'); ?>
        </h4>
    </div>
    <div data-role="content">
        <?php if ($document->countModules('expmobilemenu')): ?>
            <div id="expmobmenu">
                <div data-role="controlgroup" data-type="horizontal" data-mini="true" class="ui-btn-right">
                    <?php echo ExpAutosProHelper::load_module_position('expmobilemenu', 'mobilebootstrap'); ?>
                </div>
            </div>
            <div class="expmobclear"></div>
        <?php endif; ?>
        <?php if (count($queue)): ?>
            <div class="ui-body ui-body-b expmobmessage">
                <?php foreach ($queue as $item) : ?>
                    <p><?php echo $item['message']; ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
        <?php if ($user->id && $this->expgroupid): ?>
            <div class="expprofile-edit">
                <form action="<?php echo JRoute::_('index.php?option=com_expautospro&view=expuser&task=expuser'); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="expautosprocat-form" class="form-horizontal form-validate" target="_self" data-role="none">
                    <ul data-role="listview" data-inset="true" class="expmob_detail">
                        <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_GENERALINFO_TEXT'); ?></li>
                        <li>
                            <span class="expmob_li_text">
                                <?php echo $this->form->getLabel('gname'); ?>
                            </span>
                            <?php echo $this->form->getInput('gname'); ?>
                        </li>
                        <li>
                            <span class="expmob_li_text">
                                <?php echo $this->form->getLabel('gusername'); ?>
                            </span>
                            <?php echo $this->form->getInput('gusername'); ?>
                        </li>

                        <li>
                            <span class="expmob_li_text">
                                <?php echo $this->form->getLabel('gemail'); ?>
                            </span>
                            <?php echo $this->form->getInput('gemail'); ?>
                        </li>
                    </ul>
                    <a href="<?php echo JRoute::_('index.php?option=com_users&task=profile.edit&user_id=' . (int) $user->id); ?>" data-role="button" data-icon="gear" data-theme="e" rel="external">
                        <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_GENERALINFO_EDIT_TEXT'); ?>
                    </a>

                    <ul data-role="listview" data-inset="true" class="expmob_detail">
                        <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_DEALERINFO_TEXT'); ?></li>

                        <?php echo $this->form->getLabel('id'); ?>
                        <?php echo $this->form->getInput('id'); ?>
                        <?php echo $this->form->getLabel('userid'); ?>
                        <?php echo $this->form->getInput('userid'); ?>
                        <?php
                        if ($this->expgroupfields->get('c_lastname')):
                            if ($this->expparams->get('c_user_req_lastname')) {
                                $this->form->setFieldAttribute('lastname', 'required', 'true');
                                $this->form->setFieldAttribute('lastname', 'class', "required");
                            }
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('lastname'); ?>
                                </span>
                                <?php echo $this->form->getInput('lastname'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expgroupfields->get('c_ucompany')):
                            if ($this->expparams->get('c_user_req_companyname')) {
                                $this->form->setFieldAttribute('companyname', 'required', 'true');
                                $this->form->setFieldAttribute('companyname', 'class', "required");
                            }
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('companyname'); ?>
                                </span>
                                <?php echo $this->form->getInput('companyname'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expgroupfields->get('c_uwebsite')):
                            if ($this->expparams->get('c_user_req_web')) {
                                $this->form->setFieldAttribute('web', 'required', 'true');
                                $this->form->setFieldAttribute('web', 'class', "required");
                            }
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('web'); ?>
                                </span>
                                <?php echo $this->form->getInput('web'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expgroupfields->get('c_uphone')):
                            if ($this->expparams->get('c_user_req_phone')) {
                                $this->form->setFieldAttribute('phone', 'required', 'true');
                                $this->form->setFieldAttribute('phone', 'class', "{validate:{required:true,number:true, rangelength:[2,8]}}");
                            }else{
                                $this->form->setFieldAttribute('phone', 'class', "{validate:{number:true, rangelength:[2,8]}}");
                            }
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('phone'); ?>
                                </span>
                                <?php echo $this->form->getInput('phone'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expgroupfields->get('c_ucphone')):
                            if ($this->expparams->get('c_user_req_cellphone')) {
                                $this->form->setFieldAttribute('mobphone', 'required', 'true');
                                $this->form->setFieldAttribute('mobphone', 'class', "{validate:{required:true,number:true, rangelength:[2,8]}}");
                            }else{
                                $this->form->setFieldAttribute('mobphone', 'class', "{validate:{number:true, rangelength:[2,8]}}");
                            }
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('mobphone'); ?>
                                </span>
                                <?php echo $this->form->getInput('mobphone'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expgroupfields->get('c_ufax')):
                            if ($this->expparams->get('c_user_req_fax')) {
                                $this->form->setFieldAttribute('fax', 'required', 'true');
                                $this->form->setFieldAttribute('fax', 'class', "{validate:{required:true,number:true, rangelength:[2,8]}}");
                            }else{
                                $this->form->setFieldAttribute('fax', 'class', "{validate:{number:true, rangelength:[2,8]}}");
                            }
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('fax'); ?>
                                </span>
                                <?php echo $this->form->getInput('fax'); ?>
                            </li>
                        <?php endif; ?>
                        <li>
                            <span class="expmob_li_text">
                                <?php
                                $this->form->setFieldAttribute('emailstyle', 'class', "input-block-level");
                                echo $this->form->getLabel('emailstyle');
                                ?>
                            </span>
                            <?php echo $this->form->getInput('emailstyle'); ?>
                        </li>
                        <?php if ($this->expgroupfields->get('c_uinfo')): 
                            $this->form->setFieldAttribute('userinfo', 'type', "textarea");
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('userinfo'); ?>
                                </span>
                                <?php echo $this->form->getInput('userinfo'); ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($this->expgroupfields->get('c_ulogo')): ?>
                            <div class="expautospro_clear"></div>
                            <br />
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('logo'); ?>
                                </span>
                            </li>
                            <?php echo $this->form->getInput('logo'); ?>
                        <?php endif; ?>
                        <?php if ($this->expgroupfields->get('c_photo')): ?>
                            <div class="expautospro_clear"></div>
                            <br />
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('expphoto'); ?>
                                </span>
                            </li>
                            <?php echo $this->form->getInput('expphoto'); ?>
                        <?php endif; ?>
                        <?php
                        if ($this->expgroupfields->get('c_ucountry')):
                            if ($this->expparams->get('c_user_req_country')) {
                                $this->form->setFieldAttribute('country', 'required', 'true');
                                $this->form->setFieldAttribute('country', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('country', 'class', "input-block-level");
                            }
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('country'); ?>
                                </span>
                                <?php echo $this->form->getInput('country'); ?>
                            </li>
                            <?php
                            if ($this->expgroupfields->get('c_ustate')):
                                if ($this->expparams->get('c_user_req_state')) {
                                    $this->form->setFieldAttribute('expstate', 'required', 'true');
                                    $this->form->setFieldAttribute('expstate', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                                } else {
                                    $this->form->setFieldAttribute('expstate', 'class', "input-block-level");
                                }
                                ?>
                                <li>
                                    <span class="expmob_li_text">
                                        <?php echo $this->form->getLabel('expstate'); ?>
                                    </span>
                                    <?php echo $this->form->getInput('expstate'); ?>
                                </li>
                                <?php
                                if ($this->expgroupfields->get('c_ucity')):
                                    if ($this->expparams->get('c_user_req_city')) {
                                        $this->form->setFieldAttribute('city', 'required', 'true');
                                        $this->form->setFieldAttribute('city', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                                    } else {
                                        $this->form->setFieldAttribute('city', 'class', "input-block-level");
                                    }
                                    ?>
                                    <li>
                                        <span class="expmob_li_text">
                                            <?php echo $this->form->getLabel('city'); ?>
                                        </span>
                                        <?php echo $this->form->getInput('city'); ?>
                                    </li>
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php
                        if ($this->expgroupfields->get('c_ustreet')):
                            if ($this->expparams->get('c_user_req_street')) {
                                $this->form->setFieldAttribute('street', 'required', 'true');
                                $this->form->setFieldAttribute('street', 'class', "required");
                            }
                            if ($this->expparams->get('c_admanager_useradd_showgooglemaps'))
                                $this->form->setFieldAttribute('street', 'onchange', 'codeStreet(this.value);return false;');
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('street'); ?>
                                </span>
                                <?php echo $this->form->getInput('street'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expgroupfields->get('c_uzip')):
                            if ($this->expparams->get('c_user_req_zipcode')) {
                                $this->form->setFieldAttribute('zipcode', 'required', 'true');
                                $this->form->setFieldAttribute('zipcode', 'class', "required");
                            }
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('zipcode'); ?>
                                </span>
                                <?php echo $this->form->getInput('zipcode'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expparams->get('c_admanager_useradd_showgooglemaps')):
                            if ($this->expparams->get('c_admanager_useradd_latlong')) {
                                $this->form->setFieldAttribute('latitude', 'required', 'true');
                                $this->form->setFieldAttribute('longitude', 'required', 'true');
                                $this->form->setFieldAttribute('latitude', 'class', "required");
                                $this->form->setFieldAttribute('longitude', 'class', "required");
                            }
                            $this->form->setFieldAttribute('latitude', 'onchange', 'findLangLong();return false;');
                            $this->form->setFieldAttribute('longitude', 'onchange', 'findLangLong();return false;');
                            ?>
                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('latitude'); ?>
                                </span>
                                <?php echo $this->form->getInput('latitude'); ?>
                            </li>


                            <li>
                                <span class="expmob_li_text">
                                    <?php echo $this->form->getLabel('longitude'); ?>
                                </span>
                                <?php echo $this->form->getInput('longitude'); ?>
                            </li>
                        <?php endif; ?>

                        <div class="expautospro_clear"></div>

                        <?php if ($this->expparams->get('c_admanager_useradd_showgooglemaps')): ?> 
                            <li>
                                <div id="exp_map_canvas" style="height: <?php echo $expgoogleheight; ?>px;"></div>
                            </li>
                        <?php endif; ?>
                    </ul>
                    <div>
                        <br />
                        <button class="expadd_button btn btn-large btn-primary" type="submit" data-icon="arrow-r" data-theme="e" data-iconpos="right"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SAVE_TEXT'); ?></button>
                        <input type="hidden" name="option" value="com_expautospro" />
                        <input type="hidden" name="task" value="expuser.save" />
                        <input type="hidden" name="return" value="<?php echo $return; ?>" />
                        <?php echo JHtml::_('form.token'); ?>
                    </div>
                </form>
            </div>
        <?php else: ?>
            <?php if (!$user->id): ?>
                <div class="alert">
                    <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_ONLYREGISTERED_TEXT'); ?>
                </div>
            <?php elseif (!$this->expgroupid): ?>
                <div class="alert">
                    <?php echo JText::_(JText::sprintf('COM_EXPAUTOSPRO_CP_EXPUSER_DEALERINFO_PERMISSION_DENIED_TEXT', JRoute::_('index.php?option=com_expautospro&view=exppaylevel'))); ?>
                </div>
            <?php endif; ?>
        <?php endif; ?>
    </div>
    <div data-theme="a" data-role="footer" data-position="fixed">
        <?php if ($document->countModules('expmobilesearch') || $document->countModules('expmobilelogin')): ?>
            <div data-role="navbar" data-iconpos="bottom">
                <ul>
                    <?php if ($document->countModules('expmobilesearch')): ?>
                        <li><a href="#expsearchpopup" data-icon="search" data-role="button" data-rel="dialog" data-transition="pop"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_MENU_TEXT'); ?></a></li>
                    <?php endif; ?>
                    <?php if ($document->countModules('expmobilelogin')): ?>
                        <li><a href="#exploginpopup" data-icon="<?php echo $logicon; ?>" data-role="button" data-rel="dialog" data-transition="pop"<?php echo $logtheme; ?>><?php echo $login_text; ?></a></li>
                    <?php endif; ?>
                </ul>
            </div>
        <?php else:?>
        <?php endif; ?>
    </div>

</div>
<?php if ($document->countModules('expmobilesearch')): ?>
    <!-- Start of third page: #expsearchpopup -->
    <div data-role="page" id="expsearchpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_DIALOG_MENU_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilesearch', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($document->countModules('expmobilelogin')): ?>
    <!-- Start of third page: #exploginpopup -->
    <div data-role="page" id="exploginpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo $login_text; ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilelogin', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<script>
    jQuery.validator.addMethod("selectone", function(value, element) {
        return this.optional(element) || value != 0; 
    }, jQuery.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_SELECT_OPTION'); ?>"));
    jQuery.extend(jQuery.validator.messages, {
        required: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_REQUIRED'); ?>",
        remote: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_REMOTE_ONLY'); ?>",
        email: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_INVALID_EMAIL'); ?>",
        url: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_INVALID_URL'); ?>",
        date: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_INVALID_DATE'); ?>",
        dateISO: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_INVALID_DATE'); ?> (ISO)",
        number: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_NUMBERS_ONLY'); ?>",
        digits: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_NOTVALID_INTEGREL'); ?>",
        creditcard: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_CCARD_ONLY'); ?>",
        equalTo: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_EQUALTO_ONLY'); ?>",
        accept: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_ACCEPT_ONLY'); ?>",
        maxlength: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_MAXLENGHT_ONLY'); ?>"),
        minlength: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_MINLENGHT_ONLY'); ?>"),
        rangelength: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_RANGELENGHT_ONLY'); ?>"),
        range: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_RANGE_ONLY'); ?>"),
        max: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_MAX_ONLY'); ?>"),
        min: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_MIN_ONLY'); ?>")
    });
    (function($) {
        $('form#expautosprocat-form').validate({
            meta: "validate"
        });
    })(jQuery);
</script>