<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

//no direct access
defined('_JEXEC') or die;
require_once JPATH_ROOT . '/administrator/components/com_categories/models/fields/categoryedit.php';
$app = JFactory::getApplication();
$exp_sef = $app->getCfg('sef');
if ($exp_sef) {
    $action_link = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;Itemid=' . $itemid);
} else {
    $action_link = JRoute::_('index.php');
}
$moduleid = $module->id;
$document = JFactory::getDocument();
if ($params->get('jquery', 0) == 1) {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
} elseif ($params->get('jquery', 0) == 2) {
    $document->addScript(JURI::root() . 'modules/mod_expautospro_search_ajax/js/jquery.min.js');
}

if ($params->get('jq_chained', 0)) {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expsearchtoggle.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jqexpsearch.js');
} else {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxrequest.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxchained.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expsearchchained.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expsearchtoggle.js');
}
if ($params->get('jq_chosen', 0) && $params->get('jq_chained', 0)) {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/chosen.jquery.min.js');
    $document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/chosen.css');
}
$hideclass = null;
if ($params->get('useshowhide')) {
    $hideclass = "expdisplay_none";
}
$document->addStyleSheet(JURI::root() . 'modules/mod_expautospro_search_ajax/css/mod_expautospro_search_ajax.css');
//print_r($list);
$defcat = $params->get('defcatid', 0);
$expparams = ExpAutosProExpparams::getExpParams('config', 1);
$multi_models = $expparams->get('c_admanager_mdpage_multi', 0);
$adv_search = JRoute::_('index.php?option=com_expautospro&amp;view=expsearch&amp;Itemid=' . $itemid);
$s_click = null;
if ($multi_models) {
    $s_click = ' onclick="javascript:expmodelid(\'modelid' . $moduleid . '\',this.form,\'modelid\')"';
}
?>
<div id="modexpautospro_search<?php echo $moduleid ?>" class="modexpautospro_ajaxsearch expsearch<?php echo $moduleclass_sfx ?>">
    <form action="<?php echo $action_link; ?>" method="get" target="_self" data-role="none" id="expsearch_form<?php echo $moduleid ?>">
        <?php if (!$exp_sef): ?>
            <input type="hidden" name="option" value="com_expautospro" />
            <input type="hidden" name="view" value="explist" />
        <?php endif; ?>
        <fieldset class="expsutospro_search_fieldset">
            <span id="expautos_search_ajax<?php echo $moduleid ?>">
                <?php echo ExpAutosProExpparams::getExpSearchMod($defcat, $moduleid); ?>
            </span>
            <?php if ($params->get('useshowhide')): ?>
                <span class="explinkshow"><a href="javascript:exptoggle('expshowhide<?php echo $moduleid; ?>','expsearchtext<?php echo $moduleid; ?>','<?php echo JText::_('MOD_EXPAUTOSPRO_SEARCH_MORE_TEXT'); ?>','<?php echo JText::_('MOD_EXPAUTOSPRO_SEARCH_CLOSE_TEXT'); ?>');" id="expsearchtext<?php echo $moduleid; ?>"><?php echo JText::_('MOD_EXPAUTOSPRO_SEARCH_MORE_TEXT'); ?></a></span>
                <br /><br />
                <div class="expclear"></div>
            <?php endif; ?>
            <input <?php echo $s_click; ?> id="expbutton<?php echo $moduleid; ?>" type="submit" name="Submit" class="button" value="<?php echo JText::_('MOD_EXPAUTOSPRO_SEARCH_SEARCH_TEXT') ?>" />
            <span id="expsearchcount<?php echo $moduleid ?>"></span>
            <?php if ($params->get('useadvsearch', 0)): ?>
                <p class="expadv_search">
                    <a href="<?php echo $adv_search; ?>" class="btn btn-mini btn-warning"><?php echo JText::_('MOD_EXPAUTOSPRO_SEARCH_AJAX_ADVSEARCH_TEXT'); ?></a>
                </p>
            <?php endif; ?>
            <?php if ($params->get('country')): ?>
                <input type="hidden" name="country" value="<?php echo $params->get('country'); ?>" />
            <?php endif; ?>
            <input type="hidden" name="location" value="<?php echo $params->get('location'); ?>" />
            <input type="hidden" name="radvar" value="<?php echo $params->get('radvar'); ?>" />
            <input type="hidden" name="radval" value="<?php echo $params->get('radval'); ?>" />
            <input type="hidden" name="Itemid" value="<?php echo $itemid; ?>" />
            <?php echo JHtml::_('form.token'); ?>
        </fieldset>
    </form>
    <?php if ($params->get('jq_chosen', 0) && $params->get('jq_chained', 0)): ?>
        <script type="text/javascript">
            jQuery(".chzn-expselectsearch").chosen();
        </script>
    <?php endif; ?>
</div>
<?php
if ($params->get('jq_totalcount', 0)):
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expcount.js');
    ?>
    <script>
        expjqpost('expsearch_form<?php echo $moduleid; ?>', <?php echo $moduleid; ?>, <?php echo $multi_models; ?>,'expsearchcount<?php echo $moduleid ?>');
        expjqcount('expsearch_form<?php echo $moduleid; ?>', <?php echo $moduleid; ?>, <?php echo $multi_models; ?>,'expsearchcount<?php echo $moduleid ?>');
    </script>
<?php endif; ?>