<?php
/* * **************************************************************************************\
 * *   @name		EXP Login                                                       **
 * *   @package          Joomla 1.6/1.7/2.5                                              **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2012  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// no direct access
defined('_JEXEC') or die;
JHtml::_('behavior.keepalive');

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'modules/mod_expslide/css/mod_expslide.css');
$moduleid = $module->id;

if ($params->get('jquery',0) == 1) {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
} elseif ($params->get('jquery',0) == 2) {
    $document->addScript(JURI::root() . 'modules/mod_expslide/js/jquery.min.js');
}
if ($params->get('slidejs',0)) {
    $document->addScript(JURI::root() . 'modules/mod_expslide/js/jquery.tabSlideOut.v1.3.js');
} else {
    $document->addScript(JURI::root() . 'templates/exp_template/javascript/jquery.tabSlideOut.v1.3.js');
}

$js = '';
$js .= "jQuery(function () {";
$js .= "jQuery('#expslideid".$moduleid."').tabSlideOut({
            tabHandle: '#exphandle".$moduleid."',
            tabLocation: '".$params->get('expslide_tablocation','left')."',
            speed: ".$params->get('expslide_speed',300).",
            action: '".$params->get('expslide_action','click')."',
            topPos: '".$params->get('expslide_toppos','200px')."',
            fixedPosition: ".$params->get('expslide_fpos',true)."
        });";
$js .= "})";
$document->addScriptDeclaration($js);
?>
<div id="expslideid<?php echo $moduleid;?>" class="expslide_box well small" style="background-color:#3a3f44;  opacity:0.9; width:<?php echo $params->get('expslide_blockwidth','150px');?>;<?php if($params->get('expslide_blockminheight','0')):?>height:<?php echo $params->get('expslide_blockminheight','0');?>;<?php endif;?>">
    <a id="exphandle<?php echo $moduleid;?>" rel="tooltip" title="<?php echo $params->get('expslide_tlptext','info text');?>" data-placement="<?php echo $params->get('expslide_tlpposition','right');?>" class="expslide_icon well small" style="filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f00000', endColorstr='#600000'); background:#E72119; background-image: webkit-gradient(#f00,#600); background-image: linear-gradient(#f00,#600); border-color:#c00000;" href="javascript:void(0);"><i class="<?php echo $params->get('expslide_iconname','icon-cog');?>"></i></a>
    <?php echo ExpAutosProHelper::load_module_position($params->get('expslide_posname','myposname1'), $params->get('expslide_posstyle','xhtml')); ?>
    <div class="expslide_clear"></div>
</div>