<?php
/* * **************************************************************************************\
 * *   @name		EXP Templates 1.0                                               **
 * *   @package          Joomla 1.6/1.7/2.5                                              **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2012  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */
// No direct access.
defined('_JEXEC') or die;

$doc = JFactory::getDocument();
$app = JFactory::getApplication();
$templateparams = $app->getTemplate(true)->params;
if ($templateparams->get('bootstrap')) {
    $bootstrap = $templateparams->get('bootstrap');
} else {
    $bootstrap = 'bootstrap.css';
}
if ($templateparams->get('expbootstrap')) {
    $expbootstrap = $templateparams->get('expbootstrap');
} else {
    $expbootstrap = 'expbootstrap.css';
}
$expusebootstrap = JRequest::getInt('expusebootstrap', 0);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
    <head>
        <?php if ($this->params->get('expmetamob', 1)): ?>
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <?php endif; ?>
            <?php
            if ($this->params->get('jquery') == 1):
                //$doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/jquery.js');
                ?>
                <script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/javascript/jquery.min.js"></script>
                <?php
            elseif ($this->params->get('jquery') == 2):
                //$doc->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js');
                ?>
                <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
            <?php endif; ?>
            <jdoc:include type="head" />
                <!--<link rel="stylesheet" href="<?php #echo $this->baseurl         ?>/templates/system/css/system.css" type="text/css" />!-->
            <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/position.css" type="text/css" media="screen,projection" />
            <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout.css" type="text/css" media="screen,projection" />
            <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/print.css" type="text/css" media="print" />
            <?php if ($this->params->get('include_pretty')): ?>
                <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/prettyPhoto.css" type="text/css" media="screen,projection" />
            <?php endif; ?>
            <link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/bootstrap/<?php echo $bootstrap; ?>" rel="stylesheet" type="text/css" />
            <link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/bootstrap-responsive.css" rel="stylesheet" />
            <link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/docs.css" rel="stylesheet" />
            <link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/expbootstrap/<?php echo $expbootstrap; ?>" rel="stylesheet" />
            <link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/expicons.css" rel="stylesheet" />
            <?php
            if ($this->params->get('include_pretty')) {
                $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/jquery.prettyPhoto.js');
                $js_pretty = "jQuery(\"a[rel^='prettyPhoto'],.preety_photo\").prettyPhoto({
                    animation_speed:'" . $this->params->get('pretty_animation_speed') . "',
                    slideshow: " . $this->params->get('pretty_slideshow') . ",
                    autoplay_slideshow: " . $this->params->get('pretty_autoplay_slideshow') . ",
                    opacity: " . $this->params->get('pretty_opacity') . ",
                    show_title: " . $this->params->get('pretty_show_title') . ",
                    default_width: " . $this->params->get('pretty_default_width') . ",
                    default_height: " . $this->params->get('pretty_default_height') . ",
                    counter_separator_label: '" . $this->params->get('pretty_counter_separator_label') . "',
                    theme: '" . $this->params->get('pretty_theme') . "',
                    horizontal_padding: " . $this->params->get('pretty_horizontal_padding') . ",
                    hideflash: " . $this->params->get('pretty_hideflash') . ",
                    autoplay: " . $this->params->get('pretty_autoplay') . ",
                    modal: " . $this->params->get('pretty_modal') . ",
                    social_tools: '" . $this->params->get('pretty_social_tools') . "'
                    });";
            }
            $doc->addScriptDeclaration($js_pretty);
            ?>
            <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
            <!--[if lt IE 9]>
              <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
            <![endif]-->
            <?php if ($expusebootstrap): ?>
                <?php if ($this->params->get('jquery')): ?>
                    <?php
                    if ($this->params->get('bootstrap-transition'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-transition.js');
                    if ($this->params->get('bootstrap-alert'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-alert.js');
                    if ($this->params->get('bootstrap-dropdown'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-dropdown.js');
                    if ($this->params->get('bootstrap-transition'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-transition.js');
                    if ($this->params->get('bootstrap-tab'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-tab.js');
                    if ($this->params->get('bootstrap-button'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-button.js');
                    if ($this->params->get('bootstrap-collapse'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-collapse.js');
                    if ($this->params->get('bootstrap-tooltip'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-tooltip.js');
                    if ($this->params->get('bootstrap-popover'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-popover.js');
                    if ($this->params->get('bootstrap-carousel'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-carousel.js');
                    if ($this->params->get('bootstrap-modal'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-modal.js');
                    if ($this->params->get('bootstrap-scrollspy'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-scrollspy.js');
                    if ($this->params->get('bootstrap-typeahead'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-typeahead.js');
                    if ($this->params->get('bootstrap-affix'))
                        $doc->addScript($this->baseurl . '/templates/' . $this->template . '/javascript/bootstrap-affix.js');

                    //print_r($this->params->get('bootstrap-tooltip'));
                    $js = "jQuery(function () {";
                    $js .= "jQuery('.tab a:first').tab('show');";
                    $js .= "jQuery(\"[rel^='tooltip'],.tooltip\").tooltip();";
                    $js .= "jQuery(\"a[rel^='popover'],.popover\").popover();";
                    $js .= "})";
                    $doc->addScriptDeclaration($js);
                    ?>
                <?php endif; ?>
                <style type="text/css">
                    body {
                        <?php if ($this->direction == 'rtl'): ?>
                            direction: rtl;
                        <?php endif; ?>
                        <?php if ($expusebootstrap): ?>
                            padding-top: 0px;
                        <?php endif; ?>
                        padding-bottom: 0px;
                    }
                    .sidebar-nav {
                        padding: 9px 0;
                    }
                </style>
                <?php
                $files = JHtml::_('stylesheet', 'templates/' . $this->template . '/css/general.css', null, false, true);
                if ($files):
                    if (!is_array($files)):
                        $files = array($files);
                    endif;
                    foreach ($files as $file):
                        ?>
                        <link rel="stylesheet" href="<?php echo $file; ?>" type="text/css" />
                        <?php
                    endforeach;
                endif;
                ?>
            <?php endif; ?>
    </head>
    <body>
        <?php if ($expusebootstrap): ?>
            <div id="main">
                <jdoc:include type="message" />
            <?php endif; ?>
            <jdoc:include type="component" />
            <?php if ($expusebootstrap): ?>
            </div>
        <?php endif; ?>
    </body>
</html>
