<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_login
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;
JHtml::_('behavior.keepalive');
?>
<?php if ($type == 'logout') : ?>
    <div class="modexptemplate_center">
        <form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure')); ?>" method="post" id="login-form" target="_self">
            <?php if ($params->get('greeting')) : ?>
                <div class="login-greeting">
                    <?php
                    if ($params->get('name') == 0) : {
                            echo JText::sprintf('MOD_LOGIN_HINAME', htmlspecialchars($user->get('name')));
                        } else : {
                            echo JText::sprintf('MOD_LOGIN_HINAME', htmlspecialchars($user->get('username')));
                        } endif;
                    ?>
                </div>
    <?php endif; ?>
            <br />
            <div class="logout-button">
                <button type="submit" tabindex="3" name="Submit" class="button btn btn-warning"><?php echo JText::_('JLOGOUT') ?></button>
                <input type="hidden" name="option" value="com_users" />
                <input type="hidden" name="task" value="user.logout" />
                <input type="hidden" name="return" value="<?php echo $return; ?>" />
    <?php echo JHtml::_('form.token'); ?>
            </div>
        </form>
    </div>
<?php else : ?>
    <div class="modexptemplate_center">
        <form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure')); ?>" method="post" id="login-form" target="_self">
    <?php if ($params->get('pretext')): ?>
                <div class="pretext">
                    <p><?php echo $params->get('pretext'); ?></p>
                </div>
    <?php endif; ?>
            <fieldset class="userdata">
                <p id="form-login-username">
                    <label for="modlgn-username"><?php echo JText::_('MOD_LOGIN_VALUE_USERNAME') ?></label>
                    <input id="modlgn-username" type="text" name="username" class="inputbox span2" style="width:93%;margin-bottom:-4px;height:30px;" size="18" />
                </p>
                <p id="form-login-password">
                    <label for="modlgn-passwd"><?php echo JText::_('JGLOBAL_PASSWORD') ?></label>
                    <input id="modlgn-passwd" type="password" name="password" class="inputbox span2" style="width:93%;margin-bottom:-1px;height:30px;" size="18"  />
                </p>
    <?php if (JPluginHelper::isEnabled('system', 'remember')) : ?>
                    <p id="form-login-remember">
                        <label for="modlgn-remember" class="checkbox">
                            <input id="modlgn-remember" type="checkbox" name="remember" class="inputbox" value="yes"/><?php echo JText::_('MOD_LOGIN_REMEMBER_ME') ?>
                        </label>
                    </p>
    <?php endif; ?>
                <button type="submit" tabindex="3" name="Submit" class="btn btn-primary btn" data-role="button" data-icon="check" data-theme="b"><?php echo JText::_('JLOGIN') ?></button>
                <input type="hidden" name="option" value="com_users" />
                <input type="hidden" name="task" value="user.login" />
                <input type="hidden" name="return" value="<?php echo $return; ?>" />
    <?php echo JHtml::_('form.token'); ?>
            </fieldset>
            <br	/>
             <ul class="nav nav-pills nav-stacked" style="width:96%">
         <?php /* Johnny       <li>
                    <a href="<?php echo JRoute::_('index.php?option=com_users&view=reset'); ?>">
                        <i class="icon-lock"></i> <?php echo JText::_('MOD_LOGIN_FORGOT_YOUR_PASSWORD'); ?></a>
                </li>
                <li>
                    <a href="<?php echo JRoute::_('index.php?option=com_users&view=remind'); ?>">
                        <i class="icon-user"></i> <?php echo JText::_('MOD_LOGIN_FORGOT_YOUR_USERNAME'); ?></a>
                </li> */?>
                <?php
                $usersConfig = JComponentHelper::getParams('com_users');
                if ($usersConfig->get('allowUserRegistration')) :
                    ?>
                    <li>
                        <a href="<?php echo JRoute::_('index.php?option=com_users&view=registration'); ?>">
                            <i class="icon-plus-sign"></i> <?php echo JText::_('MOD_LOGIN_REGISTER'); ?></a>
                    </li>
            <?php endif; ?>
            </ul>
    <?php if ($params->get('posttext')): ?>
                <div class="posttext">
                    <p><?php echo $params->get('posttext'); ?></p>
                </div>
    <?php endif; ?>
        </form>
    </div>
<?php endif; ?>
<?php
$document = &JFactory::getDocument();
$renderer = $document->loadRenderer('modules');
$options = array('style'=>'raw');
echo $renderer->render('oehelp2',$options,null);
?>