/*
    tabSlideOUt v1.3
    
    By William Paoli: http://wpaoli.building58.com

    To use you must have an image ready to go as your tab
    Make sure to pass in at minimum the path to the image and its dimensions:
    
    example:
    
        $('.slide-out-div').tabSlideOut({
                tabHandle: '.handle',                         //class of the element that will be your tab -doesnt have to be an anchor
                pathToTabImage: 'images/contact_tab.gif',     //relative path to the image for the tab
                imageHeight: '133px',                         //height of tab image
                imageWidth: '44px',                           //width of tab image   
        });

    or you can leave out these options
    and set the image properties using css
    
*/

(function(e){e.fn.tabSlideOut=function(t){var n=e.extend({tabHandle:".handle",speed:300,action:"click",tabLocation:"left",topPos:"200px",leftPos:"20px",fixedPosition:false,positioning:"absolute",pathToTabImage:null,imageHeight:null,imageWidth:null,onLoadSlideOut:false},t||{});n.tabHandle=e(n.tabHandle);var r=this;if(n.fixedPosition===true){n.positioning="fixed"}else{n.positioning="absolute"}if(document.all&&!window.opera&&!window.XMLHttpRequest){n.positioning="absolute"}n.tabHandle.css({display:"block",outline:"none",position:"absolute"});r.css({"line-height":"1",position:n.positioning});var i={containerWidth:parseInt(r.outerWidth(),10)+"px",tabWidth:parseInt(n.tabHandle.outerWidth(),10)+"px",tabHeight:parseInt(n.tabHandle.outerHeight(),10)+"px"};if(n.tabLocation==="top"||n.tabLocation==="bottom"){r.css({left:n.leftPos});n.tabHandle.css({right:0})}if(n.tabLocation==="top"){r.css({top:"-"+i.containerHeight});n.tabHandle.css({bottom:"-"+i.tabHeight})}if(n.tabLocation==="bottom"){r.css({bottom:"-"+i.containerHeight,position:"fixed"});n.tabHandle.css({top:"-"+i.tabHeight})}if(n.tabLocation==="left"||n.tabLocation==="right"){r.css({height:i.containerHeight,top:n.topPos});n.tabHandle.css({top:0})}if(n.tabLocation==="left"){r.css({left:"-"+i.containerWidth});n.tabHandle.css({right:"-"+i.tabWidth})}if(n.tabLocation==="right"){r.css({right:"-"+i.containerWidth});n.tabHandle.css({left:"-"+i.tabWidth});e("html").css("overflow-x","hidden")}n.tabHandle.click(function(e){e.preventDefault()});var s=function(){if(n.tabLocation==="top"){r.animate({top:"-"+i.containerHeight},n.speed).removeClass("open")}else if(n.tabLocation==="left"){r.animate({left:"-"+i.containerWidth},n.speed).removeClass("open")}else if(n.tabLocation==="right"){r.animate({right:"-"+i.containerWidth},n.speed).removeClass("open")}else if(n.tabLocation==="bottom"){r.animate({bottom:"-"+i.containerHeight},n.speed).removeClass("open")}};var o=function(){if(n.tabLocation=="top"){r.animate({top:"-3px"},n.speed).addClass("open")}else if(n.tabLocation=="left"){r.animate({left:"-3px"},n.speed).addClass("open")}else if(n.tabLocation=="right"){r.animate({right:"-3px"},n.speed).addClass("open")}else if(n.tabLocation=="bottom"){r.animate({bottom:"-3px"},n.speed).addClass("open")}};var u=function(){r.click(function(e){e.stopPropagation()});e(document).click(function(){s()})};var a=function(){n.tabHandle.click(function(e){if(r.hasClass("open")){s()}else{o()}});u()};var f=function(){r.hover(function(){o()},function(){s()});n.tabHandle.click(function(e){if(r.hasClass("open")){s()}});u()};var l=function(){s();setTimeout(o,500)};if(n.action==="click"){a()}if(n.action==="hover"){f()}if(n.onLoadSlideOut){l()}}})(jQuery)
