<?php

/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

class JHtmlGrid {

    public static function sort($title, $order, $direction = 'asc', $selected = 0, $task = null, $new_direction = 'asc', $tip = '', $tipstyle = 0, $jslib = '') {
        if (!$tipstyle) {
            JHtml::_('behavior.tooltip');
        }
        $direction = strtolower($direction);
        $icon = array('arrow-down', 'arrow-up');
        $index = (int) ($direction == 'desc');

        if ($order != $selected) {
            $direction = $new_direction;
        } else {
            $direction = ($direction == 'desc') ? 'asc' : 'desc';
        }
        if (!$task) {
            $task = 'undefined';
        }
        $html = '<a href="javascript:void(0);" onclick="Joomla.tableOrdering(\'' . $order . '\',\'' . $direction . '\',' . $task . ');"';
        if ($tipstyle == 1) {
            $html .= ' rel="tooltip" data-original-title="' . JText::_($tip ? $tip : $title) . '::' . JText::_('JGLOBAL_CLICK_TO_SORT_THIS_COLUMN') . '">';
        } elseif ($tipstyle == 2) {
            $html .= 'data-rel="popup" data-role="button" data-inline="true" rel="tooltip" data-original-title="' . JText::_($tip ? $tip : $title) . '::' . JText::_('JGLOBAL_CLICK_TO_SORT_THIS_COLUMN') . '">';
        } elseif ($tipstyle == 3) {
            $html .= ' >';
        } else {
            $html .= ' class="hasTip" title="' . JText::_($tip ? $tip : $title) . '::' . JText::_('JGLOBAL_CLICK_TO_SORT_THIS_COLUMN') . '">';
        }
        $html .= JText::_($title);

        if ($order == $selected) {
            $html .= ' <i class="icon-' . $icon[$index] . '"></i>';
        }

        $html .= '</a>';

        return $html;
    }

}