<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/explist/default_bootstrap_list2/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('explist', 'default_bootstrap_list2');

$expitem = $this->expitemid;
$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$document = JFactory::getDocument();
$user = JFactory::getUser();
if ($use_contactform) {
    $document->addScript(JURI::root() . 'components/com_expautospro/skins/explist/default_bootstrap_list2/js/ajaxpost.js');
}
if ($this->expparams->get('c_admanager_lspage_showshortlist')) {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxrequest.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expshortlist.js');
}
if ($use_googlemaps) {
    $document->addScript('http://maps.google.com/maps/api/js?sensor=true');
    $js_g = '
        function initialize(latitude,longtitude) {
            var latlng = new google.maps.LatLng(latitude, longtitude);
            var myOptions = {
              zoom: ' . $expgooglemaps_zoom . ',
              center: latlng,
              mapTypeId: google.maps.MapTypeId.ROADMAP
            };
            var map = new google.maps.Map(document.getElementById("expmap_canvas"),
                myOptions);
                var marker = new google.maps.Marker({
                      position: latlng, 
                      map: map
                  }); 
          }
          
    jQuery(document).ready(function(){
         jQuery(".expgoogle").live("click", function(){
             var latitude = jQuery(this).attr("data-lat");
             var longtitude = jQuery(this).attr("data-long");
             var exptitle = jQuery(this).attr("title");
             var latlong = latitude + "," + longtitude;
            jQuery.fn.prettyPhoto({custom_markup: "<div id=\"expmap_canvas\" style=\"width:' . $expgooglemaps_width . 'px; height:' . $expgooglemaps_height . 'px\"></div>",
                changepicturecallback: function(){ 
                    initialize(latitude,longtitude); 
                }});
             var url = jQuery(this).attr("href");
            jQuery.prettyPhoto.open(url,exptitle,latlong);
         return false;
         });
         return false;
    });
          ';
    $document->addScriptDeclaration($js_g);
}
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/explist/default_bootstrap_list2/css/default_bootstrap_list2.css');
if ($expuse_jquery == 1){
    JHtml::_('bootstrap.framework');
}elseif($expuse_jquery == 2){
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
}
$catidlink = '';
$makeidlink = '';
if ($this->items) {
    $catidlink = $this->items[0]->categid;
    $makeidlink = $this->items[0]->make;
}
//$countcolumn = $this->expparams->get('c_admanager_mdpage_column');
$topmoduleposition = $this->expparams->get('c_admanager_lspage_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_lspage_bmpname');
$thumbsize = $this->expparams->get('c_images_thumbsize_width');
$userid = JRequest::getInt('userid', 0);
//print_r($this->items);
if ($user->id) {
    $usergroups = implode(',', $user->groups);
    $usergroupid = ExpAutosProExpparams::getExpgroupid($usergroups);
    $groupparams = ExpAutosProExpparams::getExpParams('userlevel', $usergroupid);
//print_r($groupparams->get('p_pshowpricespecial'));
}
$listgroupparams = $this->expgroupfield;
if ($this->expcatfields) {
    $useid = $this->expparams->get('c_admanager_lspage_showid');
    $usecategory = $this->expparams->get('c_admanager_lspage_showcat');
    if ($this->expcatfields->get('usestocknum') && $this->expparams->get('c_admanager_lspage_showstock')) {
        $usestock = 1;
    } else {
        $usestock = 0;
    }
    $usemake = $this->expcatfields->get('usemakes');
    $usemodel = $this->expcatfields->get('usemodels');
    $usemileage = $this->expcatfields->get('usemileage');
    $usebodytype = $this->expcatfields->get('usebodytype');
    $usedrive = $this->expcatfields->get('usedrive');
    $useextcolor = $this->expcatfields->get('useextcolor');
    $usetrans = $this->expcatfields->get('usetrans');
    $usefuel = $this->expcatfields->get('usefuel');
    $useyear = $this->expcatfields->get('useyear');
    $useprice = $this->expcatfields->get('useprice');
} else {
    $useid = $this->expparams->get('c_admanager_lspage_showid');
    $usemake = $this->expparams->get('c_admanager_lspage_def_make');
    $usemodel = $this->expparams->get('c_admanager_lspage_def_model');
    $usecategory = $this->expparams->get('c_admanager_lspage_showcat');
    $usestock = $this->expparams->get('c_admanager_lspage_def_stocknum');
    $usemileage = $this->expparams->get('c_admanager_lspage_def_mileage');
    $usebodytype = $this->expparams->get('c_admanager_lspage_def_bodytype');
    $usedrive = $this->expparams->get('c_admanager_lspage_def_drive');
    $useextcolor = $this->expparams->get('c_admanager_lspage_def_extcolor');
    $usetrans = $this->expparams->get('c_admanager_lspage_def_trans');
    $usefuel = $this->expparams->get('c_admanager_lspage_def_fuel');
    $useyear = $this->expparams->get('c_admanager_lspage_def_year');
    $useprice = $this->expparams->get('c_admanager_lspage_def_price');
}
$cookiesarray = explode(",", $this->expgetcookie);
$logopatch = ExpAutosProExpparams::ImgUrlPatchLogo();
if ($userid && $this->items)
    $user_params = ExpAutosProExpparams::getExpParams('expuser', $this->items[0]->expuser_id);
$usedelaerinfo = $this->expparams->get('c_admanager_lspage_dealeringo', 1);
if ($userid) {
    $usedelaerinfo = true;
}
if ($user->id && $document->countModules('explistexport') && $listgroupparams->get('g_expexport', 0)) {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expsubmit.js');
}
//$test = ExpAutosProExpparams::expModuleParams('mod_expautospro_search');
//echo $test->get('usemakes');
?>

<div class="expautospro_topmodule">
    <div class="expautospro_topmodule_pos">
        <?php echo ExpAutosProHelper::load_module_position($topmoduleposition, $this->expparams->get('c_admanager_lspage_tmpstyle')); ?>
    </div>
    <div class="expautospro_clear"></div>
</div>
<?php if ($userid && ($this->expparams->get('c_general_showcontact') || (!$this->expparams->get('c_general_showcontact') && $user->id))): ?>

    <?php if ($listgroupparams->get('c_photo') && $this->items && $user_params->get('expphoto')): ?>
        <div class="expuser_img thumbnail">
            <img src='<?php echo $logopatch . $user_params->get('expphoto'); ?>' title="<?php echo $this->items[0]->user_username; ?>" />
        </div>
    <?php endif; ?>
    <div class="exp_autos_list_userinfo">
        <div class="exp_autos_list_userinfo_left">
            <?php
            if ($listgroupparams->get('c_ulogo') && $this->items && $this->items[0]->expuser_logo):
                $logo_link = $logopatch . $this->items[0]->expuser_logo;
                ?>
                <?php if ($listgroupparams->get('c_uwebsite') && $this->items[0]->expuser_web): ?>
                    <a href="http://<?php echo $this->items[0]->expuser_web; ?>">
                    <?php endif; ?>
                    <img src="<?php echo $logo_link; ?>" style="float:right" class="expautos_list_rightimg  thumbnail" title="<?php echo $this->items[0]->user_username; ?>" alt="<?php echo $this->items[0]->user_username; ?>" />
                    <?php if ($listgroupparams->get('c_uwebsite') && $this->items[0]->expuser_web): ?>
                    </a>
                <?php endif; ?>

            <?php endif; ?>
        </div>
        <dl class="dl-horizontal">
            <?php /*if ($listgroupparams->get('c_lastname') && (!empty($this->items[0]->expuser_lastname) || !empty($this->items[0]->user_name))): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_NAME_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->user_name; ?>&nbsp;<?php echo $this->items[0]->expuser_lastname; ?></dd>
            <?php endif; */?>
            <?php if ($listgroupparams->get('c_username') && !empty($this->items[0]->user_username)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_NAME_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->user_name; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_uphone') && !empty($this->items[0]->expuser_phone)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_PHONE_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_phone; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_ucphone') && !empty($this->items[0]->expuser_mobphone)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_CELLPHONE_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_mobphone; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_ufax') && !empty($this->items[0]->expuser_fax)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_FAX_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_fax; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_email') && !empty($this->items[0]->user_email)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_EMAIL_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->user_email; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_ucompany') && !empty($this->items[0]->expuser_companyname)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_COMPANYNAME_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_companyname; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_ucountry') && !empty($this->items[0]->expuser_country)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_COUNTRY_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_country; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_ustate') && !empty($this->items[0]->expuser_state)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_STATE_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_state; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_ucity') && !empty($this->items[0]->expuser_city)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_CITY_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_city; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_ustreet') && !empty($this->items[0]->expuser_street)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_STREET_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_street; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_uzip') && isset($this->items[0]->expuser_zipcode)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_ZIPCODE_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_zipcode; ?></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_uwebsite') && !empty($this->items[0]->expuser_web)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_USERWEB_TEXT') ?>&#58;&nbsp;</dt>
                <dd><a href="http://<?php echo $this->items[0]->expuser_web; ?>"><?php echo $this->items[0]->expuser_web; ?></a></dd>
            <?php endif; ?>
            <?php if ($listgroupparams->get('c_uinfo') && !empty($this->items[0]->expuser_userinfo)): ?>
                <dt class='expautos_user_lilist expuser_otherinfo'><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_USERINFO_TEXT') ?>&#58;&nbsp;</dt>
                <dd><?php echo $this->items[0]->expuser_userinfo; ?></dd>
            <?php endif; ?>
            <?php if ($useid == $this->expparams->get('c_admanager_lspage_showdealerlink') && !empty($this->items[0]->user_username)): ?>
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_DEALERLINK_TEXT') ?>&#58;&nbsp;</dt>
                <dd><a href="<?php echo JRoute::_('index.php?option=com_expautospro&amp;view=expdealerdetail&amp;userid=' . (int) $userid . '&amp;Itemid=' . (int) $expitem); ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_DEALERLINK_TEXT'); ?></a></dd>
            <?php endif; ?>
        </dl>
    </div>
<?php //    <div class="expautos_clear"></div> ?>
<?php endif; ?>
<div id="expautospro">
<?php /* <h3 class="well well-small"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TEXT') ?></h3> */?>
    <!-- Skins Module Position !-->
    <?php if ($this->expparams->get('c_admanager_lspage_showskin')): ?>
        <div id="expskins_module">
            <?php
            $expmodparam = array('folder' => $this->expskins);
            echo ExpAutosProHelper::load_module_position('expskins', $style = 'none', $expmodparam);
            ?>
        </div>
    <?php endif; ?>
    <form action="<?php echo htmlspecialchars(JFactory::getURI()->toString()); ?>" method="post" name="adminForm" id="adminForm">
        <ul class="breadcrumb explist_brd">
            <span class="showHere" style="color:#fff; font-weight:bold"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SORTBY_TEXT') ?> </span>
            <?php if ($useid): ?>
                <li class="expautos_th_center">
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_ID_TEXT', 'a.id', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if (!$useid && $use_sortby_date): ?>
                <li class="expautos_th_center">
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_SKIN_SORTBYDATE_TEXT', 'a.id', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($usecategory): ?>
                <li class="expautos_th_center">
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_CATEGORY_TEXT', 'catid', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($usestock): ?>
                <li class="expautos_th_center">
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_STOCKNUM_TEXT', 'a.stocknum', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($usemake): ?>
                <li>
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_MAKE_TEXT', 'make_name', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($usemodel): ?>
                <li>
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_MODEL_TEXT', 'model_name', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($usemileage): ?>
                <li>
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_MILEAGE_TEXT', 'mileage', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($usebodytype): ?>
                <li>
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_BODYTYPE_TEXT', 'bodytype_name', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($usedrive): ?>
                <li>
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_DRIVE_TEXT', 'drive_name', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($useextcolor): ?>
                <li class="expautos_th_center">
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_COLOR_TEXT', 'extcolor_name', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($useyear): ?>
                <li class="expautos_th_center">
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_YEAR_TEXT', 'a.year', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($usetrans): ?>
                <li class="expautos_th_center">
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_TRANS_TEXT', 'trans_name', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($usefuel): ?>
                <li class="expautos_th_center">
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_FUEL_TEXT', 'fuel_name', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
            <?php if ($useprice): ?>
                <li class="expautos_th_center">
                    &nbsp;
                    <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_LIST_TABLE_PRICE_TEXT', 'price', $listDirn, $listOrder); ?>
                </li>
            <?php endif; ?>
        </ul>
        <div class="expautospro_clear"></div>
        <?php
        if ($this->items):
            $m_link = null;
            $mob_return = ExpAutosProExpparams::expmobile_detect();
            if ($this->expparams->get('c_admanager_detailpage_usemobile', 0) && $mob_return) {
                $m_link = $detail_add_link;
            }
            foreach ($this->items as $i => $item) :
                //$countimg = ExpAutosProHelper::getExpcount('images', 'catid', $item->id, 1);
                $expedit = false;
                if ((int) $user->id) {
                    $groupparams2 = ExpAutosProExpparams::expGroupsEdit((int)$item->userwid);
                    if($groupparams2){
                        $expedit = true;
                    }
                }
                $countimg = $item->imgcount;
                $link = JRoute::_('index.php?option=com_expautospro&amp;view=expdetail&amp;id=' . (int) $item->id . '&amp;catid=' . (int) $item->catid . '&amp;makeid=' . (int) $item->make . '&amp;modelid=' . (int) $item->model . $m_link . '&amp;Itemid=' . (int) $expitem);
                $link_edit = JRoute::_('index.php?option=com_expautospro&amp;view=expadd&amp;task=expadd.edit&amp;id=' . $item->id . '&amp;Itemid=' . (int) $expitem);
                $link_editimg = JRoute::_('index.php?option=com_expautospro&amp;view=expimages&amp;id=' . $item->id . '&amp;Itemid=' . (int) $expitem);
                $link_extend = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;task=explist.extend&amp;id=' . $item->id . '&amp;Itemid=' . (int) $expitem);
                $link_delete = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;task=explist.deletelink&amp;id=' . $item->id . '&amp;Itemid=' . (int) $expitem);
                $link_solid = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;task=explist.solid&amp;value=' . $item->solid . '&amp;id=' . $item->id . '&amp;Itemid=' . (int) $expitem);
                $link_expreserved = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;task=explist.expreserved&amp;value=' . $item->expreserved . '&amp;id=' . $item->id . '&amp;Itemid=' . (int) $expitem);
                $link_payspecial = JRoute::_('index.php?option=com_expautospro&amp;view=exppayment&amp;id=' . $item->id . '&amp;Itemid=' . (int) $expitem);
                $link_payadd = JRoute::_('index.php?option=com_expautospro&amp;view=exppayment&amp;id=' . $item->id . '&amp;Itemid=' . (int) $expitem);
                $link_dealer_ads = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;userid=' . (int) $item->userwid . '&amp;Itemid=' . (int) $expitem);

                $expdata_lat = '';
                $expdata_long = '';
                $expdata_text = '';
                $in_shortlist = in_array($item->id, $cookiesarray);
                //print_r($item);
                /* Extend date */
                if ($this->expparams->get('c_general_useextend')) {
                    $date_exp = false;
                    $date_plus = JFactory::getDate('+' . $this->expparams->get('c_general_extendbutton') . ' day ' . date('Y-m-d', strtotime('now')))->toMySQL();
                    if ($item->expirdate <= $date_plus) {
                        $date_exp = true;
                        $date_expnum = date("Y-m-d", strtotime($item->expirdate));
                    }
                }

                /* New ads */
                $date_range = time() - ($this->expparams->get('c_admanager_lspage_newdate') * 24 * 60 * 60);
                $zc_new_date = date('Ymd', $date_range);
                if (date('Ymd', strtotime($item->creatdate)) >= $zc_new_date)
                    $newdateclass = "newdate";
                else
                    $newdateclass = null;


                $imgclass = null;
                $lsclass = null;
                if ($item->solid) {
                    $imgclass = "solid";
                    $lsclass = "alert alert-block lssolid";
                } elseif ($item->ftop) {
                    $imgclass = "top";
                    $lsclass = "alert alert-success lstop";
                } elseif ($item->special) {
                    $imgclass = "special";
                    $lsclass = "alert alert-error lsspecial";
                } elseif ($item->fcommercial) {
                    $imgclass = "commercial";
                    $lsclass = "alert alert-info lscommercial";
                }

                $imgdealerclass = null;
                if ($usedelaerinfo && $use_dealer_img) {
                    if ($item->expuser_ucommercial) {
                        $imgdealerclass = "ucommercial";
                    } elseif ($item->expuser_utop) {
                        $imgdealerclass = "utop";
                    } elseif ($item->expuser_uspecial) {
                        $imgdealerclass = "uspecial";
                    }
                }

                if (!$use_special_style) {
                    $lsclass = null;
                }

                if ($item->img_name && $countimg) {
                    $img_file = '<a class="thumbnail" data-trigger="hover" data-html="true" data-content="<img src=' . ExpAutosProExpparams::ImgUrlPatchMiddle() . $item->img_name . ' >" rel="popover" data-original-title="' . $item->category_name . '&#45;' . $item->make_name . '&#45;' . $item->model_name . '" href="' . $link . '"><span></span><img src="' . ExpAutosProExpparams::ImgUrlPatchThumbs() . $item->img_name . '" alt="' . $item->category_name . '&#45;' . $item->make_name . '&#45;' . $item->model_name . '" /></a>';
                } else {
                    $img_file = '<a class="thumbnail" href="' . $link . '"><span></span><img src="' . ExpAutosProExpparams::ImgUrlPatch() . 'assets/images/no_photo.jpg" alt="' . $item->category_name . '&#45;' . $item->make_name . '&#45;' . $item->model_name . '" /></a>';
                }
                ?>
                <div class="explist_ads_all well <?php echo $lsclass; ?>">
                    <div class="explist_top alert alert-info">
                        <div class="explist_text_left">
                            <a href="<?php echo $link; ?>">
                                <?php
                                $top_text = '';
                                if ($item->make_name):
                                    ?>
                                    <?php $top_text .= $item->make_name; ?>
                                <?php endif; ?>
                                <?php if ($item->model_name): ?>
                                    <?php $top_text .= "&nbsp;" . $item->model_name; ?>
                                <?php endif; ?>
                                <?php if ($item->specificmodel): ?>
                                    <?php $top_text .= "&nbsp;" . $item->specificmodel; ?>
                                <?php endif; ?>
                                <?php if ($item->displacement > 0): ?>
                                    <?php $top_text .= "&nbsp;" . $item->displacement . " " . JText::_('COM_EXPAUTOSPRO_LITER_S_TEXT'); ?>
                                <?php endif; ?>
                                <?php /*if ($item->engine): ?>
                                    <?php $top_text .= "&nbsp;" . $item->engine . " " . JText::_('COM_EXPAUTOSPRO_KW_TEXT'); ?>
                                <?php endif; */?>
                                <?php echo $top_text; ?>
                            </a>
                            <?php if ($item->bprice): ?>
                                <i class="icon-download" rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTBPRICE_TEXT'); ?>"></i>
                            <?php endif; ?>
                            <?php if ($newdateclass): ?>
                                <i class="icon-plus-sign" rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_LS_SPECIAL_NEWDATE_TEXT'); ?>"></i>
                            <?php endif; ?>
                            <?php if ($use_reserded_icon && $item->expreserved): ?>
                                <i class="icon-time" rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_RESERVED_TEXT'); ?>"></i>
                            <?php endif; ?>
                            <?php if ($use_sold_icon && $item->solid): ?>
                                <i class="icon-lock" rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_SOLID_TEXT'); ?>"></i>
                            <?php endif; ?>
                            <?php if ($use_shortlist_icon && $in_shortlist): ?>
                                <i class="icon-flag" rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SKIN_SAVED_TEXT'); ?>"></i>
                            <?php endif; ?>
                        </div>
                        <div class="explist_text_right">
                            <?php if ($useprice): ?>
                            	<?php if($item->condition == 1)
										{echo JText::_('COM_EXPAUTOSPRO_LS_PRICE1_TEXT');}  ?>
                                <?php if($item->condition == 3) 
                                        {echo JText::_('COM_EXPAUTOSPRO_LS_PRICE3_TEXT');} ?>
								<?php if($item->condition == 4)
										{echo JText::_('COM_EXPAUTOSPRO_LS_PRICE4_TEXT');} ?>
								<?php if($item->condition == 5){
										echo JText::_('COM_EXPAUTOSPRO_LS_PRICE5_TEXT');} ?>
								<?php if($item->condition == 6){
										echo JText::_('COM_EXPAUTOSPRO_LS_PRICE6_TEXT');} ?>
											
                            	<?php
                                        if($item->bprice &&  $user->id){
                                            $n_price = $item->bprice;
                                        }else{
                                            $n_price = $item->aprice;
                                        }
                                        $price = ExpAutosProExpparams::price_formatdata($n_price);
                                        echo $price;
                                        ?>
                                <?php /* Johnny Show Bargain Price
                                $price = ExpAutosProExpparams::price_formatdata($item->price, 2);
                                echo $price;
                                */?>
                                
                            <?php endif; ?>
                        </div>
                        <div class="expautospro_clear"></div>
                    </div>
                    <div class="explist_middle">
                        <div class="expimg_all" style="width:<?php echo $thumbsize; ?>px;">
                            <div class="expimg_pos">
                                <div class="photo <?php echo $imgclass; ?>">
                                    <?php echo $img_file; ?>
                                </div>
                                <div class="expimg">
                                    <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SKIN_PHOTOS_TEXT'); ?>"><i class="icon-picture"></i> <?php echo $countimg; ?></span>
                                    <?php if ($item->embedcode): ?>
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SKIN_VIDEO_TEXT'); ?>"><i class="icon-film"></i></span>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <?php if ($use_images_icon): ?>
                                <div class="expimgcount">
                                    <?php if ($newdateclass): ?>
                                        <span class="<?php echo $newdateclass; ?>" title="<?php echo JText::_('COM_EXPAUTOSPRO_LS_SPECIAL_NEWDATE_TEXT') ?>"></span>
                                    <?php endif; ?>
                                    <?php if ($item->expreserved): ?>
                                        <span class="expreserved" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_RESERVED_TEXT') ?>"></span>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>
                        </div>


                        <?php if ($usedelaerinfo && $item->expuser_logo): ?>
                            <div class="explogo_all">
                                <a class="thumbnail" href="<?php echo JRoute::_('index.php?option=com_expautospro&amp;view=expdealerdetail&amp;userid=' . $item->userwid . '&amp;Itemid=' . (int) $expitem); ?>"><img src="<?php echo ExpAutosProExpparams::ImgUrlPatchLogo() . $item->expuser_logo; ?>" alt="" /></a>
                                <?php if ($imgdealerclass && $use_dealer_img): ?>
                                    <div class="<?php echo $imgdealerclass; ?>">
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SKIN_DEALER_LEVEL_TEXT'); ?>"></span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>

                        <div class="expautos_list_markmod_bottom">
                            
                            <?php if ($usecategory): ?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_CATEGORY_TEXT'); ?>"><?php echo (int) $item->category_name; ?></span>&#32;&#58;&#58;
                            <?php endif; ?>
                            <?php if ($usestock): ?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_STOCKNUM_TEXT'); ?>"><?php echo (int) $item->stocknum; ?></span>&#32;&#58;&#58;
                            <?php endif; ?>
                            <?php if ($useyear): ?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_YEAR_TEXT'); ?>"><?php echo (int) $item->year; ?></span>&#32;
                            <?php endif; ?>
                            <?php if ($usetrans): ?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_TRANSMISSION_TEXT'); ?>"><?php echo (string) $item->trans_name; ?></span>&#44;&#32;
                            <?php endif; ?>
                            <?php if ($usefuel): ?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_FUEL_TEXT'); ?>"><?php echo (string) $item->fuel_name; ?></span>&#44;&#32;
                            <?php endif; ?>
                            <?php if ($useextcolor): ?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_EXTCOLOR_TEXT'); ?>"><?php echo $item->extcolor_name; ?></span>&#44;&#32;
                            <?php endif; ?>
                            <?php if ($usemileage && $item->mileage): ?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_MILEAGE_TEXT'); ?>"><?php echo $item->mileage . "&nbsp;" . JText::_('COM_EXPAUTOSPRO_KM_TEXT'); ?></span>&#44;&#32;
                            <?php endif; ?>
                            <?php if ($usebodytype && $item->bodytype_name): ?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_BODYTYPE_TEXT'); ?>"><?php echo $item->bodytype_name; ?></span>&#32;
                            <?php endif; ?>
                            <?php if ($usedrive && $item->drive_name): ?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_DRIVE_TEXT'); ?>"><?php echo $item->drive_name; ?></span>
                            <?php endif; ?>
                            <?php if ($usedelaerinfo && $show_contactinfo): ?>
                                <div class="explist_usr">
                                    <?php if ($item->expuser_country): ?>
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_LIST_COUNTRY_TEXT'); ?>"><?php echo $item->expuser_country; ?></span>&#44;&#32;
                                    <?php endif; ?>
                                    <?php if ($item->expuser_state): ?>
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_LIST_STATE_TEXT'); ?>"><?php echo $item->expuser_state; ?></span>&#44;&#32;
                                    <?php endif; ?>
                                    <?php if ($item->expuser_city): ?>
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_LIST_CITY_TEXT'); ?>"><?php echo $item->expuser_city; ?></span>&#44;&#32;
                                    <?php endif; ?>
                                    <?php if ($item->expuser_phone): ?>
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_DEALERINFO_PHONE_TEXT'); ?>"><?php echo $item->expuser_phone; ?></span>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>
                            <?php if ($use_googlemaps || $use_linkall || $use_contactform): ?>
                                <p class="expautos_small">
                                <?php endif; ?>
                                <?php
                                if ($use_googlemaps && (($usedelaerinfo && $item->expuser_latitude && $item->expuser_longitude) || ($item->latitude && $item->longitude))):
                                    ?>
                                    <?php
                                    if ($item->latitude && $item->longitude) {
                                        $expdata_lat = $item->latitude;
                                        $expdata_long = $item->longitude;
                                        $expdata_text = JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_VEHICLELOCATION_TEXT');
                                    } elseif ($usedelaerinfo) {
                                        $expdata_lat = $item->expuser_latitude;
                                        $expdata_long = $item->expuser_longitude;
                                        $expdata_text = JText::_('COM_EXPAUTOSPRO_CP_LIST_DEALERLOCATION_TEXT');
                                    }
                                    ?>
                              <?php /* Johnny <a href="#?custom=true&width=<?php echo $expgooglemaps_width; ?>&height=<?php echo $expgooglemaps_height; ?>" class="expgoogle" rel="tooltip" title="<?php echo $expdata_text; ?>" data-lat="<?php echo $expdata_lat; ?>" data-long="<?php echo $expdata_long; ?>"><i class="icon-screenshot"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_GOOGLEMAP_TEXT'); ?></a> */ ?>
                                <?php endif; ?>
                                <?php if ($usedelaerinfo && $use_contactform && !$item->solid): ?>
                                    <a data-toggle="modal" href="#expautos_mail_form<?php echo $item->id; ?>" ><i class="icon-envelope"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_DETAIL_CONTACT_TEXT'); ?></a>
                                <?php endif; ?>
                                <?php if ($use_linkall): ?>
                                    <a href="<?php echo $link_dealer_ads; ?>"><i class="icon-zoom-in"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_SHOWALLADS_TEXT'); ?></a>
                                <?php endif; ?>
                                <?php if ($use_googlemaps || $use_linkall || $use_contactform): ?>
                                </p>
                            <?php endif; ?>

                            <?php if ($usedelaerinfo && $use_contactform && !$item->solid): ?>
                                <div id="expautos_mail_form<?php echo $item->id; ?>" class="modal hide expform_modal" >
                                    <div class="modal-header">
                                        <?php
                                        $adtext = null;
                                        if ($item->expuser_companyname)
                                            $adtext = " - " . $item->expuser_companyname;
                                        ?>
                                        <h3><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_TEXT') . $adtext; ?></h3>
                                        <span class="label"><i class="icon-arrow-right icon-white"></i> <?php echo $top_text; ?></span>
                                    </div>
                                    <div class="modal-body">
                                        <label>
                                            <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_YOURNAME_TEXT'); ?></strong>
                                        </label>
                                        <input type="text" name="expsender_name" id="expsender_name<?php echo $item->id; ?>" class="span3" value="" />
                                        <label>
                                            <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_YOURPHONE_TEXT'); ?></strong>
                                        </label>
                                        <input type="text" name="expsender_phone" id="expsender_phone<?php echo $item->id; ?>" class="span3" value="" />
                                        <label>
                                            <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_YOUREMAIL_TEXT'); ?></strong>
                                        </label>
                                        <input type="text" name="expsender_email" id="expsender_email<?php echo $item->id; ?>" class="span3" value="" />
                                        <label>
                                            <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_MESSAGE_TEXT'); ?></strong>
                                        </label>
                                        <textarea name="expmessage" id="expmessage<?php echo $item->id; ?>" class="span3" rows="4" cols="40"></textarea>
                                        <br />
                                        <input type="button" class="button btn btn-primary" id="expmailbutton<?php echo $item->id; ?>" value="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_BUTTONTEXT_TEXT'); ?>" onClick="ajaxgetpost('<?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_EMAILSUCCESSFULL_TEXT'); ?>',<?php echo $item->id; ?>)" /> 
                                        <input type="hidden" name="expid" id="expid<?php echo $item->id; ?>" value="<?php echo $item->id; ?>" />
                                        <img id="expautos_mailimg<?php echo $item->id; ?>" src="<?php echo JURI::root(); ?>components/com_expautospro/skins/explist/default_bootstrap_list2/images/loader.gif" class="expautos_displaynone"/>
                                        <p>
                                        <div id="expautos_post_result<?php echo $item->id; ?>" class=""></div>
                                        </p>
                                    </div>
                                    <div class="modal-footer">
                                        <a href="#" class="btn" data-dismiss="modal"><?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?></a>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <?php if ($show_createdate): ?>
                                <div class="expautos_date">
                                    <p class="expautos_small">
                                        <?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_CREATEDATE_TEXT'); ?><?php echo $item->creatdate; ?>&#46
                                  		<?php /*if ($useid): */?>
                                <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_ID_TEXT'); ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_ID_TEXT'); ?><?php echo (int) $item->id; ?></span>
                            <?php /*endif; */?>
                                    </p>
                                </div>
                            <?php endif; ?>
                            <?php if ((int) $item->user == (int) $user->id): ?>
                                <?php if ($groupparams->get('c_adlifeduration')): ?>
                                    <p class="expautos_small">
                                        <span class="label label-important explabel_small"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_EXPIRIESDATE_TEXT'); ?></span>&nbsp;<?php echo $item->expirdate; ?>
                                    </p>
                                <?php endif; ?>
                            <?php endif; ?>
                            <div class="explistuserposition">
                                <?php
                                $expmodparam = array('id' => $item->id);
                                echo ExpAutosProHelper::load_module_position('explistuserposition', $style = 'none', $expmodparam);
                                ?>
                            </div>
                        </div>

                        <?php if ($this->expparams->get('c_admanager_lspage_showshortlist')): ?>
                            <div id="expshortlist<?php echo $item->id; ?>" class="expshortlist_lspage">
                                <?php if ($in_shortlist): ?>
                                    <span title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_REMOVEFROM_TEXT'); ?>"><a class="btn btn-mini btn-warning" href="javascript:expshortlist(2,<?php echo $item->id; ?>,'<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_REMOVED_TEXT'); ?>')"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_REMOVEFROM_TEXT'); ?></a></span>
                                <?php else: ?>
                                    <span title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_ADDTO_TEXT'); ?>"><a class="btn btn-mini btn-primary" href="javascript:expshortlist(1,<?php echo $item->id; ?>,'<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_SAVED_TEXT'); ?>')"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_ADDTO_TEXT'); ?></a></span>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="expautos_list_markmod_modules">
                        <?php echo ExpAutosProHelper::load_module_position('explistmodmiddle', $style = 'none'); ?>
                    </div>
                    <div class="expautospro_clear"></div>
                    <?php if (((int) $item->user == (int) $user->id) || $expedit): ?>
                        <div class="expautos_list_users_link">
                            <div class="btn-group">
                                <a class="btn btn-mini btn-primary dropdown-toggle  expbtn_group" data-toggle="dropdown" href="#">
                                    <?php echo JText::_('COM_EXPAUTOSPRO_ACTION_TEXT'); ?>
                                    <span class="caret expcaret"></span>
                                </a>
                                <ul class="dropdown-menu">
                                    <?php if ($this->expparams->get('c_general_enableedit')): ?>
                                        <li><a class="" href="<?php echo $link_edit; ?>"><i class="icon-pencil"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_EDIT_AD_TEXT'); ?></a></li>
                                        <li><a class="" href="<?php echo $link_editimg; ?>"><i class="icon-edit"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_EDIT_IMAGES_TEXT'); ?></a></li>
                                    <?php endif; ?>
                                    <?php if ($this->expparams->get('c_general_enabledelete')): ?>
                                        <li class="divider"></li>
                                        <li><a class="" href="<?php echo $link_delete; ?>"><i class="icon-trash"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_DELETE_TEXT'); ?></a></li>
                                    <?php endif; ?>
                                    <li class="divider"></li>
                                    <?php if ($this->expparams->get('c_general_enablesolid')): ?>
                                        <li>
                                            <a class="" href="<?php echo $link_solid; ?>">
                                                <?php if ($item->solid): ?>
                                                    <i class="icon-share-alt"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_UNSOLID_TEXT'); ?>
                                                <?php else: ?>
                                                    <i class="icon-lock"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_SOLID_TEXT'); ?>
                                                <?php endif; ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->expparams->get('c_general_enableexpreserved')): ?>
                                        <li>
                                            <a class="" href="<?php echo $link_expreserved; ?>">
                                                <?php if ($item->expreserved): ?>
                                                    <i class="icon-time"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_UNRESERVED_TEXT'); ?>
                                                <?php else: ?>
                                                    <i class="icon-time"></i> <?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_RESERVED_TEXT'); ?>
                                                <?php endif; ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                    <li class="divider"></li>
                                    <?php if ($this->expparams->get('c_general_useextend') && $date_exp): ?>
                                        <li><a class="" href="<?php echo $link_extend; ?>"><i class="icon-plus-sign"></i> <?php echo JText::_(JText::sprintf('COM_EXPAUTOSPRO_CP_LIST_TABLE_EXTEND_TEXT', $this->expparams->get('c_general_extenddays'))); ?></a></li>
                                    <?php endif; ?>
                                </ul>
                            </div>

                            <?php
                            if ($document->countModules('explistexport') && $listgroupparams->get('g_expexport', 0)):
                                $modules = JModuleHelper::getModule('mod_expautospro_export');
                                ?>
                                <div class="btn-group">
                                    <a class="btn btn-mini btn-primary dropdown-toggle  expbtn_group" data-toggle="dropdown" href="#">
                <?php echo JText::_('COM_EXPAUTOSPRO_LIST_EXPORT_TEXT'); ?>
                                        <span class="caret expcaret"></span>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <?php $expmodparam = array('expid' => $item->id, 'explayout' => 'default-bootstrap2'); ?>
                <?php echo ExpAutosProHelper::load_module_position('explistexport', 'xhtml', $expmodparam); ?>
                                    </ul>
                                </div>
                            <?php endif; ?>
                            <?php if ((int) $item->state == 1 && $groupparams->get('p_pshowpricespecial')): ?>
                                <span><a class="btn btn-mini btn-success" href="<?php echo $link_payspecial; ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_PAYSPECIAL_TEXT'); ?></a></span>
                            <?php endif; ?>
                            <?php if ((int) $item->state == 1): ?>
                                <span><a class="btn btn-mini btn-success disabled" href="#"><i class="icon-ok-circle icon-white"></i><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_PUBLISHED_TEXT'); ?></a></span>
            <?php else: ?>
                                <span><a class="btn btn-mini btn-warning <?php if (!$listgroupparams->get('p_pshowpricead')): ?>disabled<?php endif; ?>" href="<?php if ($listgroupparams->get('p_pshowpricead')): ?><?php echo $link_payadd; ?><?php else: ?>#<?php endif; ?>"><i class="icon-info-sign icon-white"></i><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_UNPUBLISHED_TEXT'); ?><?php if ($listgroupparams->get('p_pshowpricead')): ?>&#40;<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_PAYAD_TEXT'); ?>&#41;<?php endif; ?></a></span>

            <?php endif; ?>


            <?php echo ExpAutosProHelper::load_module_position('explistbottomposition', $style = 'none'); ?>

                        </div>
        <?php endif; ?>
                    <div class="expautospro_clear"></div>
                </div>

                <?php
                $metaexp[] = trim($item->make_name . " " . $item->model_name . " " . $item->specificmodel);
                $metakeyexp[] = trim($item->make_name . " " . $item->model_name . " " . $item->specificmodel);
                ?>
                <?php
            endforeach;
        endif;
        ?>
        <div class="expautospro_clear"></div>
        <div id="explimitbox">
<?php echo $this->pagination->getLimitBox(); ?>
        </div>
        <div class="expautospro_clear"></div>
        <div id="expresultcounter">
<?php echo $this->pagination->getResultsCounter(); ?>
        </div>
        <div class="expautospro_clear"></div>
        <div class="pagination pagination-centered">
<?php echo $this->pagination->getPagesLinks(); ?>
        </div>
        <div class="expautospro_clear"></div>
        <div id="exppagescounter">
<?php echo $this->pagination->getPagesCounter(); ?>
        </div>
        <div class="expautospro_clear"></div>
</div>
<div>
    <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
    <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
<?php if ($user->id && $document->countModules('explistexport') && $listgroupparams->get('g_expexport', 0)): ?>
        <input type="hidden" name="expval" value="" />
        <input type="hidden" name="exptask" value="" />
<?php endif; ?>
</div>
</form>
<div class="expautospro_clear"></div>
    <?php if ($bmoduleposition): ?>
    <div class="expautospro_botmodule">
    <?php echo ExpAutosProHelper::load_module_position($bmoduleposition, $this->expparams->get('c_admanager_lspage_bmpstyle')); ?>
    </div>
<?php endif; ?>
<?php
/* insert meta */
if (isset($metaexp)) {
    $metaexp = implode(".", $metaexp);
    $this->document->setDescription($metaexp);
}
if (isset($metakeyexp)) {
    $metakeyexp = implode(",", $metakeyexp);
    $this->document->setMetadata('keywords', $metakeyexp);
}
?>

