<?php
/* * **************************************************************************************\
 * *   @name		EXP MegaMenu 1.0                                               **
 * *   @package          Joomla 1.6/1.7/2.5                                              **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2012  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// no direct access
defined('_JEXEC') or die;

require_once __DIR__.'/helper.php';

$list           = modExpMegaMenuHelper::getList($params);
$app            = JFactory::getApplication();
$menu           = $app->getMenu();
$active         = $menu->getActive();
$active_id      = isset($active) ? $active->id : $menu->getDefault()->id;
$path           = isset($active) ? $active->tree : array();
$showAll	= $params->get('showAllChildren');
$class_sfx	= htmlspecialchars($params->get('class_sfx'));

if(count($list)) {
	require JModuleHelper::getLayoutPath('mod_expmegamenu', $params->get('layout', 'default'));
}
