<?php
/* * **************************************************************************************\
 * *   @name		EXP MegaMenu 1.0                                               **
 * *   @package          Joomla 1.6/1.7/2.5                                              **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2012  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;
$document = JFactory::getDocument();
if($params->get('jquerymega'))
    $document->addScript(JURI::root() . 'modules/mod_expmegamenu/js/jquery.js');
$document->addStyleSheet(JURI::root() . 'modules/mod_expmegamenu/css/mod_expmegamenu_bootstrap.css');
$module_id = $module->id;
?>
<style type="text/css">
    /* Tiny Carousel */

#mega-menu-drop<?php echo $module_id;?> li.active{
  background-color: rgba(0, 0, 0, 0.5);
}
#mega-menu-drop<?php echo $module_id;?> .sub-menu:before{
    border-bottom: 7px solid transparent;
    border-left: none;
    border-right: 7px solid rgba(0, 0, 0, 0.2);
    border-top: 7px solid transparent;
    left: -7px;
    top: 5px;
}
#mega-menu-drop<?php echo $module_id;?> .sub-menu:after{
    border-bottom: 6px solid transparent;
    border-left: none;
    border-right: 6px solid #fff;
    border-top: 6px solid transparent;
    left: 10px;
    left: -6px;
    top: 6px;
}
</style>
<div class="expdropmenu">
<ul id="mega-menu-drop<?php echo $module->id;?>" class="nav <?php echo $class_sfx;?>"<?php
	$tag = '';
	if ($params->get('tag_id')!=NULL) {
		$tag = $params->get('tag_id').'';
		echo ' id="'.$tag.'"';
	}
?>>
<?php
foreach ($list as $i => &$item) :
    //print_r($item->params->get('expmegamenutooltip'));
	$class = 'item-'.$item->id;
        $drop_down = null;
        $drop_class = null;
        $drop_caret = null;
        $sub_menu = null;
        $icon_parent = null;
	$li_id = 'menu-item-'.$item->id;
	if ($item->id == $active_id) {
		$class .= ' current';
	}
        if($item->level == 2){
            $sub_menu = 'sub-menu';
        }
	if (in_array($item->id, $path)) {
		$class .= ' active';
		$drop_class = ' active';
	}
	elseif ($item->type == 'alias') {
		$aliasToId = $item->params->get('aliasoptions');
		if (count($path) > 0 && $aliasToId == $path[count($path)-1]) {
			$class .= ' active';
		}
		elseif (in_array($aliasToId, $path)) {
			$class .= ' alias-parent-active';
		}
	}

	if ($item->deeper) {
		$class .= ' deeper dropdown';
	}

	if ($item->parent) {
		$class .= ' parent';
                $drop_down = ' class="dropdown-toggle '.$drop_class.'" ';
                if($item->level == 1){
                    $drop_caret = '<b class="caret"></b>';
                }else{
                    if($params->get('expmegamenuparenticon')){
                        $icon_parent = '&nbsp;<i class="'.$params->get('expmegamenuparenticon').'"></i>';
                    }else{
                        $icon_parent = '&nbsp&raquo;';
                    }
                }
	}

	if (!empty($class)) {
		$class = ' class="'.trim($class) .'"';
	}

	echo '<li id="'.$li_id.'"'.$class.'>';

	// Render the menu item.
	$class = $item->anchor_css ? 'class="'.$item->anchor_css.'" ' : '';
        $title = $item->anchor_title ? 'title="'.$item->anchor_title.'" ' : '';
        if ($item->menu_image) {
                        $item->params->get('menu_text', 1 ) ?
                        $linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" /><span class="image-title">'.$item->title.'</span> ' :
                        $linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" />';
        }
        else { $linktype = $item->title;
        }
        $icon_class = '';
        if($item->params->get('expmegamenuicon')){
            $icon_class = $item->params->get('expmegamenuicon');
        }elseif(!$item->params->get('expmegamenuicon') && $item->level > 1){
            $icon_class = $params->get('expmegamenudeficon');
        }
        $addtext = null;
        if($item->params->get('expmegamenuaddtext')){
            $addtext = ' '.$item->params->get('expmegamenuaddtext').' ';
        }
        echo '<a '.$drop_down.' '.$class.' href="'.$item->flink.'" '.$title.'><i class="'.$icon_class.'"></i> '.$linktype.$addtext.$drop_caret.$icon_parent.'</a>';

	// The next item is deeper.
	if ($item->deeper) {
		echo '<ul class="dropdown-menu '.$sub_menu.'">';
	}
	// The next item is shallower.
	elseif ($item->shallower) {
		echo '</li>';
		echo str_repeat('</ul></li>', $item->level_diff);
	}
	// The next item is on the same level.
	else {
		echo '</li>';
	}
endforeach;
?>
</ul>
</div>