<?php
/* * **************************************************************************************\
 * *   @name		EXP MegaMenu 1.0                                               **
 * *   @package          Joomla 1.6/1.7/2.5                                              **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2012  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;
$document = JFactory::getDocument();
if($params->get('jquerymega'))
    $document->addScript(JURI::root() . 'modules/mod_expmegamenu/js/jquery.js');
$document->addScript(JURI::root() . 'modules/mod_expmegamenu/js/jquery.dcmegamenu.1.3.js');
$document->addScript(JURI::root() . 'modules/mod_expmegamenu/js/jquery.hoverIntent.minified.js');
$document->addStyleSheet(JURI::root() . 'modules/mod_expmegamenu/css/mod_expmegamenu.css');
$module_id = $module->id;
$js = "jQuery(document).ready(function(jQuery){
	jQuery('#mega-menu-tut".$module->id."').dcMegaMenu({
		rowItems: '".$params->get('mega_rowitems')."',
		speed: '".$params->get('mega_speed')."',
                effect: '".$params->get('mega_effect')."',
                event: '".$params->get('mega_event')."'
	});
});";
$document->addScriptDeclaration($js);
?>
<div class="dcjq-mega-menu subnav">
<ul id="mega-menu-tut<?php echo $module->id;?>" class="nav nav-pills expmenu <?php echo $class_sfx;?>"<?php
	$tag = '';
	if ($params->get('tag_id')!=NULL) {
		$tag = $params->get('tag_id').'';
		echo ' id="'.$tag.'"';
	}
?>>
<?php
foreach ($list as $i => &$item) :
    //print_r($item->params->get('expmegamenutooltip'));
    if($item->params->get('expmegamenuimage')!=NULL)
	$document->addStyleDeclaration(".dcjq-mega-menu ul.expmenu li .sub li#menu-item-".$item->id." { background: url(".JURI::root().$item->params->get('expmegamenuimage').") no-repeat 135px 40px;}");
	$class = 'item-'.$item->id;
	$li_id = 'menu-item-'.$item->id;
	if ($item->id == $active_id) {
		$class .= ' current';
	}

	if (in_array($item->id, $path)) {
		$class .= ' active';
	}
	elseif ($item->type == 'alias') {
		$aliasToId = $item->params->get('aliasoptions');
		if (count($path) > 0 && $aliasToId == $path[count($path)-1]) {
			$class .= ' active';
		}
		elseif (in_array($aliasToId, $path)) {
			$class .= ' alias-parent-active';
		}
	}

	if ($item->deeper) {
		$class .= ' deeper';
	}

	if ($item->parent) {
		$class .= ' parent';
	}

	if (!empty($class)) {
		$class = ' class="'.trim($class) .'"';
	}

	echo '<li id="'.$li_id.'"'.$class.'>';

	// Render the menu item.
	$class = $item->anchor_css ? 'class="'.$item->anchor_css.'" ' : '';
        $title = $item->anchor_title ? 'title="'.$item->anchor_title.'" ' : '';
        if ($item->menu_image) {
                        $item->params->get('menu_text', 1 ) ?
                        $linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" /><span class="image-title">'.$item->title.'</span> ' :
                        $linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" />';
        }
        else { $linktype = $item->title;
        }
        $icon_class = '';
        if($item->params->get('expmegamenuicon')){
            $icon_class = $item->params->get('expmegamenuicon');
        }elseif(!$item->params->get('expmegamenuicon') && $item->level > 1){
            $icon_class = $params->get('expmegamenudeficon');
        }
        echo '<a '.$class.' href="'.$item->flink.'" '.$title.'><i class="'.$icon_class.'"></i> '.$linktype.'</a>';

	// The next item is deeper.
	if ($item->deeper) {
		echo '<ul>';
	}
	// The next item is shallower.
	elseif ($item->shallower) {
		echo '</li>';
		echo str_repeat('</ul></li>', $item->level_diff);
	}
	// The next item is on the same level.
	else {
		echo '</li>';
	}
endforeach;
?>
</ul>
</div>