<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */


defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');

class JFormFieldExpinstall extends JFormField {

    protected $type = 'Expinstall';

    public function getInput() {
        ?>
        <script type="text/javascript" src="<?php echo JURI::root(); ?>templates/exp_template/javascript/upclick.js"></script>
        <input type="button" class="button btn btn-primary" id="expuploader" value="<?php echo JText::_('COM_EXPTEMPLATE_UPLOAD_BUTTON_TEXT'); ?>"/>
        <script type="text/javascript">

            var uploader = document.getElementById('expuploader');

            upclick(
            {
                element: uploader,
                action: '<?php echo JURI::root(); ?>templates/exp_template/fields/expupload.php', 
                onstart:
                    function(filename){
                    //alert('Start upload: '+filename);
                },
                oncomplete:
                    function(response_data){
                    if(response_data == 1){
                        Joomla.submitbutton('style.apply');
                    }else{
                        alert('<?php echo JText::_('TPL_EXPTEMPLATE_ERROR_UPLOADCSS_LABEL'); ?>');
                    }
                }
            });

        </script>
        <?php
    }

}